/* A Bison parser, made by GNU Bison 2.7.  */

/* Bison implementation for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2012 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.7"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         eqLoader_parse
#define yylex           eqLoader_lex
#define yyerror         eqLoader_error
#define yylval          eqLoader_lval
#define yychar          eqLoader_char
#define yydebug         eqLoader_debug
#define yynerrs         eqLoader_nerrs

/* Copy the first part of user declarations.  */


#include "loader.h"

#include "canvas.h"
#include "channel.h"
#include "compound.h"
#include "equalizers/dfrEqualizer.h"
#include "equalizers/framerateEqualizer.h"
#include "equalizers/loadEqualizer.h"
#include "equalizers/treeEqualizer.h"
#include "equalizers/monitorEqualizer.h"
#include "equalizers/viewEqualizer.h"
#include "equalizers/tileEqualizer.h"
#include "frame.h"
#include "tileQueue.h"
#include "global.h"
#include "layout.h"
#include "node.h"
#include "observer.h"
#include "pipe.h"
#include "segment.h"
#include "server.h"
#include "view.h"
#include "window.h"

#include <eq/fabric/paths.h>
#include <lunchbox/os.h>
#include <lunchbox/file.h>

#include <locale.h>
#include <string>

#pragma warning(disable: 4065)

    namespace eq
    {
    namespace loader
    {
        static eq::server::Loader*      loader = 0;
        std::string filename;

        static eq::server::ServerPtr    server;
        static eq::server::Config*      config = 0;
        static eq::server::Node*        node = 0;
        static eq::server::Pipe*        eqPipe = 0; // avoid name clash
        static eq::server::Window*      window = 0;
        static eq::server::Channel*     channel = 0;
        static eq::server::Layout*      layout = 0;
        static eq::server::View*        view = 0;
        static eq::server::Canvas*      canvas = 0;
        static eq::server::Segment*     segment = 0;
        static eq::server::Observer*    observer = 0;
        static eq::server::Compound*    eqCompound = 0; // avoid name clash
        static eq::server::DFREqualizer* dfrEqualizer = 0;
        static eq::server::LoadEqualizer* loadEqualizer = 0;
        static eq::server::TreeEqualizer* treeEqualizer = 0;
        static eq::server::TileEqualizer* tileEqualizer = 0;
        static eq::server::SwapBarrierPtr swapBarrier;
        static eq::server::Frame*       frame = 0;
        static eq::server::TileQueue*   tileQueue = 0;
        static co::ConnectionDescriptionPtr connectionDescription;
        static eq::fabric::Wall         wall;
        static eq::fabric::Projection   projection;
        static uint32_t                 flags = 0;
    }
    }

    using namespace lunchbox;
    using namespace eq::loader;

    int eqLoader_lex();

    #define yylineno eqLoader_lineno
    void yyerror( const char *errmsg );
    extern char* yytext;
    extern FILE*       yyin;
    extern const char* yyinString;
    extern int yylineno;



# ifndef YY_NULL
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULL nullptr
#  else
#   define YY_NULL 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "parser.hpp".  */
#ifndef YY_EQLOADER_HOME_ABUILD_RPMBUILD_BUILD_EQUALIZER_1_8_0_BUILD_EQ_SERVER_PARSER_HPP_INCLUDED
# define YY_EQLOADER_HOME_ABUILD_RPMBUILD_BUILD_EQUALIZER_1_8_0_BUILD_EQ_SERVER_PARSER_HPP_INCLUDED
/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int eqLoader_debug;
#endif

/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     EQTOKEN_HEADER = 258,
     EQTOKEN_ASCII = 259,
     EQTOKEN_GLOBAL = 260,
     EQTOKEN_CHANNEL_IATTR_HINT_STATISTICS = 261,
     EQTOKEN_CHANNEL_IATTR_HINT_SENDTOKEN = 262,
     EQTOKEN_CHANNEL_SATTR_DUMP_IMAGE = 263,
     EQTOKEN_COMPOUND_IATTR_STEREO_MODE = 264,
     EQTOKEN_COMPOUND_IATTR_STEREO_ANAGLYPH_LEFT_MASK = 265,
     EQTOKEN_COMPOUND_IATTR_STEREO_ANAGLYPH_RIGHT_MASK = 266,
     EQTOKEN_COMPOUND_IATTR_UPDATE_FOV = 267,
     EQTOKEN_CONNECTION_SATTR_FILENAME = 268,
     EQTOKEN_CONNECTION_SATTR_HOSTNAME = 269,
     EQTOKEN_CONNECTION_IATTR_BANDWIDTH = 270,
     EQTOKEN_CONNECTION_IATTR_TYPE = 271,
     EQTOKEN_CONNECTION_IATTR_PORT = 272,
     EQTOKEN_CONFIG_FATTR_EYE_BASE = 273,
     EQTOKEN_CONFIG_IATTR_ROBUSTNESS = 274,
     EQTOKEN_NODE_SATTR_LAUNCH_COMMAND = 275,
     EQTOKEN_NODE_CATTR_LAUNCH_COMMAND_QUOTE = 276,
     EQTOKEN_NODE_IATTR_THREAD_MODEL = 277,
     EQTOKEN_NODE_IATTR_HINT_AFFINITY = 278,
     EQTOKEN_NODE_IATTR_HINT_STATISTICS = 279,
     EQTOKEN_NODE_IATTR_LAUNCH_TIMEOUT = 280,
     EQTOKEN_PIPE_IATTR_HINT_CUDA_GL_INTEROP = 281,
     EQTOKEN_PIPE_IATTR_HINT_THREAD = 282,
     EQTOKEN_PIPE_IATTR_HINT_AFFINITY = 283,
     EQTOKEN_WINDOW_IATTR_HINT_STEREO = 284,
     EQTOKEN_WINDOW_IATTR_HINT_DOUBLEBUFFER = 285,
     EQTOKEN_WINDOW_IATTR_HINT_FULLSCREEN = 286,
     EQTOKEN_WINDOW_IATTR_HINT_DECORATION = 287,
     EQTOKEN_WINDOW_IATTR_HINT_SWAPSYNC = 288,
     EQTOKEN_WINDOW_IATTR_HINT_DRAWABLE = 289,
     EQTOKEN_WINDOW_IATTR_HINT_STATISTICS = 290,
     EQTOKEN_WINDOW_IATTR_HINT_SCREENSAVER = 291,
     EQTOKEN_WINDOW_IATTR_HINT_GRAB_POINTER = 292,
     EQTOKEN_WINDOW_IATTR_PLANES_ACCUM = 293,
     EQTOKEN_WINDOW_IATTR_PLANES_ACCUM_ALPHA = 294,
     EQTOKEN_WINDOW_IATTR_PLANES_ALPHA = 295,
     EQTOKEN_WINDOW_IATTR_PLANES_COLOR = 296,
     EQTOKEN_WINDOW_IATTR_PLANES_DEPTH = 297,
     EQTOKEN_WINDOW_IATTR_PLANES_SAMPLES = 298,
     EQTOKEN_WINDOW_IATTR_PLANES_STENCIL = 299,
     EQTOKEN_SERVER = 300,
     EQTOKEN_CONFIG = 301,
     EQTOKEN_APPNODE = 302,
     EQTOKEN_NODE = 303,
     EQTOKEN_PIPE = 304,
     EQTOKEN_WINDOW = 305,
     EQTOKEN_ATTRIBUTES = 306,
     EQTOKEN_HINT_STEREO = 307,
     EQTOKEN_HINT_DOUBLEBUFFER = 308,
     EQTOKEN_HINT_FULLSCREEN = 309,
     EQTOKEN_HINT_DECORATION = 310,
     EQTOKEN_HINT_STATISTICS = 311,
     EQTOKEN_HINT_SENDTOKEN = 312,
     EQTOKEN_HINT_SWAPSYNC = 313,
     EQTOKEN_HINT_DRAWABLE = 314,
     EQTOKEN_HINT_THREAD = 315,
     EQTOKEN_HINT_AFFINITY = 316,
     EQTOKEN_HINT_CUDA_GL_INTEROP = 317,
     EQTOKEN_HINT_SCREENSAVER = 318,
     EQTOKEN_HINT_GRAB_POINTER = 319,
     EQTOKEN_PLANES_COLOR = 320,
     EQTOKEN_PLANES_ALPHA = 321,
     EQTOKEN_PLANES_DEPTH = 322,
     EQTOKEN_PLANES_STENCIL = 323,
     EQTOKEN_PLANES_ACCUM = 324,
     EQTOKEN_PLANES_ACCUM_ALPHA = 325,
     EQTOKEN_PLANES_SAMPLES = 326,
     EQTOKEN_ON = 327,
     EQTOKEN_OFF = 328,
     EQTOKEN_AUTO = 329,
     EQTOKEN_FASTEST = 330,
     EQTOKEN_NICEST = 331,
     EQTOKEN_QUAD = 332,
     EQTOKEN_ANAGLYPH = 333,
     EQTOKEN_PASSIVE = 334,
     EQTOKEN_RED = 335,
     EQTOKEN_GREEN = 336,
     EQTOKEN_BLUE = 337,
     EQTOKEN_HORIZONTAL = 338,
     EQTOKEN_VERTICAL = 339,
     EQTOKEN_DFR = 340,
     EQTOKEN_DDS = 341,
     EQTOKEN_FRAMERATE = 342,
     EQTOKEN_DPLEX = 343,
     EQTOKEN_CHANNEL = 344,
     EQTOKEN_OBSERVER = 345,
     EQTOKEN_LAYOUT = 346,
     EQTOKEN_VIEW = 347,
     EQTOKEN_CANVAS = 348,
     EQTOKEN_SEGMENT = 349,
     EQTOKEN_COMPOUND = 350,
     EQTOKEN_LOADBALANCER = 351,
     EQTOKEN_DFREQUALIZER = 352,
     EQTOKEN_FRAMERATEEQUALIZER = 353,
     EQTOKEN_LOADEQUALIZER = 354,
     EQTOKEN_TREEEQUALIZER = 355,
     EQTOKEN_MONITOREQUALIZER = 356,
     EQTOKEN_VIEWEQUALIZER = 357,
     EQTOKEN_TILEEQUALIZER = 358,
     EQTOKEN_DAMPING = 359,
     EQTOKEN_CONNECTION = 360,
     EQTOKEN_NAME = 361,
     EQTOKEN_TYPE = 362,
     EQTOKEN_TCPIP = 363,
     EQTOKEN_SDP = 364,
     EQTOKEN_RSP = 365,
     EQTOKEN_RDMA = 366,
     EQTOKEN_UDT = 367,
     EQTOKEN_TEXTURE = 368,
     EQTOKEN_MEMORY = 369,
     EQTOKEN_FIXED = 370,
     EQTOKEN_RELATIVE_TO_ORIGIN = 371,
     EQTOKEN_RELATIVE_TO_OBSERVER = 372,
     EQTOKEN_HMD = 373,
     EQTOKEN_HOST = 374,
     EQTOKEN_HOSTNAME = 375,
     EQTOKEN_INTERFACE = 376,
     EQTOKEN_LAUNCH_COMMAND = 377,
     EQTOKEN_LAUNCH_COMMAND_QUOTE = 378,
     EQTOKEN_LAUNCH_TIMEOUT = 379,
     EQTOKEN_PORT = 380,
     EQTOKEN_FILENAME = 381,
     EQTOKEN_TASK = 382,
     EQTOKEN_EYE = 383,
     EQTOKEN_EYE_BASE = 384,
     EQTOKEN_EYE_LEFT = 385,
     EQTOKEN_EYE_CYCLOP = 386,
     EQTOKEN_EYE_RIGHT = 387,
     EQTOKEN_FOCUS_DISTANCE = 388,
     EQTOKEN_FOCUS_MODE = 389,
     EQTOKEN_OPENCV_CAMERA = 390,
     EQTOKEN_VRPN_TRACKER = 391,
     EQTOKEN_ROBUSTNESS = 392,
     EQTOKEN_THREAD_MODEL = 393,
     EQTOKEN_ASYNC = 394,
     EQTOKEN_DRAW_SYNC = 395,
     EQTOKEN_LOCAL_SYNC = 396,
     EQTOKEN_BUFFER = 397,
     EQTOKEN_CLEAR = 398,
     EQTOKEN_DRAW = 399,
     EQTOKEN_ASSEMBLE = 400,
     EQTOKEN_READBACK = 401,
     EQTOKEN_COLOR = 402,
     EQTOKEN_DEPTH = 403,
     EQTOKEN_CYCLOP = 404,
     EQTOKEN_LEFT = 405,
     EQTOKEN_RIGHT = 406,
     EQTOKEN_VIEWPORT = 407,
     EQTOKEN_DRAWABLE = 408,
     EQTOKEN_FBO_COLOR = 409,
     EQTOKEN_FBO_DEPTH = 410,
     EQTOKEN_FBO_STENCIL = 411,
     EQTOKEN_RANGE = 412,
     EQTOKEN_PERIOD = 413,
     EQTOKEN_PHASE = 414,
     EQTOKEN_PIXEL = 415,
     EQTOKEN_SUBPIXEL = 416,
     EQTOKEN_BANDWIDTH = 417,
     EQTOKEN_DEVICE = 418,
     EQTOKEN_WALL = 419,
     EQTOKEN_BOTTOM_LEFT = 420,
     EQTOKEN_BOTTOM_RIGHT = 421,
     EQTOKEN_TOP_LEFT = 422,
     EQTOKEN_PROJECTION = 423,
     EQTOKEN_ORIGIN = 424,
     EQTOKEN_DISTANCE = 425,
     EQTOKEN_FOV = 426,
     EQTOKEN_HPR = 427,
     EQTOKEN_LATENCY = 428,
     EQTOKEN_SWAPBARRIER = 429,
     EQTOKEN_NVGROUP = 430,
     EQTOKEN_NVBARRIER = 431,
     EQTOKEN_OUTPUTFRAME = 432,
     EQTOKEN_INPUTFRAME = 433,
     EQTOKEN_OUTPUTTILES = 434,
     EQTOKEN_INPUTTILES = 435,
     EQTOKEN_STEREO_MODE = 436,
     EQTOKEN_STEREO_ANAGLYPH_LEFT_MASK = 437,
     EQTOKEN_STEREO_ANAGLYPH_RIGHT_MASK = 438,
     EQTOKEN_UPDATE_FOV = 439,
     EQTOKEN_PBUFFER = 440,
     EQTOKEN_FBO = 441,
     EQTOKEN_RGBA16F = 442,
     EQTOKEN_RGBA32F = 443,
     EQTOKEN_MODE = 444,
     EQTOKEN_2D = 445,
     EQTOKEN_ASSEMBLE_ONLY_LIMIT = 446,
     EQTOKEN_DB = 447,
     EQTOKEN_BOUNDARY = 448,
     EQTOKEN_RESISTANCE = 449,
     EQTOKEN_ZOOM = 450,
     EQTOKEN_MONO = 451,
     EQTOKEN_STEREO = 452,
     EQTOKEN_STRING = 453,
     EQTOKEN_CHARACTER = 454,
     EQTOKEN_FLOAT = 455,
     EQTOKEN_INTEGER = 456,
     EQTOKEN_UNSIGNED = 457,
     EQTOKEN_SIZE = 458,
     EQTOKEN_CORE = 459,
     EQTOKEN_SOCKET = 460,
     EQTOKEN_DISPLAYCLUSTER = 461,
     EQTOKEN_DUMP_IMAGE = 462
   };
#endif


#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{


    const char*             _string;
    char                    _character;
    int                     _int;
    unsigned                _unsigned;
    float                   _float;
    co::ConnectionType   _connectionType;
    eq::server::LoadEqualizer::Mode _loadEqualizerMode;
    eq::server::TreeEqualizer::Mode _treeEqualizerMode;
    float                   _viewport[4];



} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

extern YYSTYPE eqLoader_lval;

#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int eqLoader_parse (void *YYPARSE_PARAM);
#else
int eqLoader_parse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int eqLoader_parse (void);
#else
int eqLoader_parse ();
#endif
#endif /* ! YYPARSE_PARAM */

#endif /* !YY_EQLOADER_HOME_ABUILD_RPMBUILD_BUILD_EQUALIZER_1_8_0_BUILD_EQ_SERVER_PARSER_HPP_INCLUDED  */

/* Copy the second part of user declarations.  */



#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(N) (N)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (YYID (0))
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  10
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   1243

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  214
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  159
/* YYNRULES -- Number of rules.  */
#define YYNRULES  451
/* YYNRULES -- Number of states.  */
#define YYNSTATES  792

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   462

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     212,   213,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   210,     2,   211,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   208,     2,   209,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     7,    11,    12,    16,    21,    22,    23,
      26,    29,    32,    35,    38,    41,    44,    47,    50,    53,
      56,    59,    62,    65,    68,    71,    74,    77,    80,    83,
      86,    89,    92,    95,    98,   101,   104,   107,   110,   113,
     116,   119,   122,   125,   128,   131,   134,   137,   140,   143,
     145,   147,   149,   151,   153,   155,   156,   163,   164,   167,
     168,   174,   176,   179,   180,   186,   187,   190,   192,   195,
     197,   199,   201,   203,   206,   211,   212,   215,   218,   221,
     223,   225,   226,   232,   233,   239,   240,   243,   246,   249,
     251,   253,   258,   259,   265,   266,   269,   272,   275,   278,
     281,   284,   287,   288,   291,   294,   297,   300,   303,   306,
     309,   310,   316,   317,   320,   322,   327,   330,   333,   336,
     339,   340,   343,   346,   349,   352,   353,   359,   360,   363,
     365,   370,   373,   376,   377,   380,   383,   386,   389,   392,
     395,   398,   401,   404,   407,   410,   413,   416,   419,   422,
     425,   428,   429,   435,   436,   439,   442,   447,   450,   451,
     457,   458,   461,   464,   467,   470,   471,   477,   478,   481,
     484,   487,   494,   501,   508,   511,   514,   517,   520,   521,
     527,   528,   531,   534,   536,   537,   543,   544,   547,   550,
     553,   554,   558,   561,   563,   565,   568,   571,   573,   575,
     576,   582,   583,   586,   589,   592,   594,   597,   600,   602,
     604,   606,   607,   613,   614,   617,   620,   623,   624,   630,
     633,   635,   637,   639,   640,   643,   645,   647,   649,   650,
     656,   657,   660,   662,   665,   668,   671,   672,   678,   679,
     685,   686,   692,   695,   701,   704,   707,   713,   721,   727,
     729,   731,   733,   735,   737,   739,   741,   743,   745,   750,
     751,   756,   757,   760,   763,   766,   769,   772,   775,   778,
     781,   784,   785,   788,   790,   792,   794,   796,   797,   800,
     802,   804,   806,   807,   810,   812,   814,   815,   818,   820,
     822,   824,   825,   831,   832,   835,   842,   849,   856,   859,
     861,   863,   864,   870,   871,   874,   881,   884,   890,   897,
     902,   903,   906,   909,   912,   915,   918,   924,   927,   933,
     936,   938,   940,   942,   944,   946,   948,   950,   952,   954,
     956,   958,   960,   962,   964,   965,   971,   975,   976,   982,
     983,   989,   993,   997,   998,  1004,  1005,  1008,  1011,  1014,
    1015,  1018,  1021,  1027,  1030,  1033,  1036,  1042,  1045,  1047,
    1049,  1051,  1053,  1054,  1057,  1060,  1066,  1069,  1072,  1078,
    1081,  1083,  1085,  1087,  1089,  1090,  1093,  1096,  1102,  1103,
    1109,  1110,  1113,  1116,  1119,  1122,  1123,  1129,  1130,  1136,
    1137,  1140,  1143,  1146,  1149,  1150,  1156,  1162,  1164,  1166,
    1167,  1173,  1174,  1180,  1181,  1184,  1187,  1193,  1194,  1197,
    1200,  1203,  1206,  1209,  1216,  1220,  1221,  1223,  1226,  1228,
    1230,  1232,  1234,  1236,  1238,  1240,  1242,  1244,  1246,  1248,
    1250,  1252,  1254,  1256,  1258,  1260,  1262,  1264,  1266,  1268,
    1270,  1272,  1274,  1276,  1279,  1282,  1284,  1286,  1288,  1290,
    1292,  1294
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     215,     0,    -1,   216,   217,   220,    -1,   216,   217,   226,
      -1,    -1,     3,   370,     4,    -1,     5,   208,   218,   209,
      -1,    -1,    -1,   218,   217,    -1,    14,   368,    -1,    16,
     219,    -1,    17,   372,    -1,    13,   368,    -1,    15,   372,
      -1,    18,   370,    -1,    19,   367,    -1,    20,   368,    -1,
      21,   369,    -1,    22,   367,    -1,    23,   367,    -1,    25,
     372,    -1,    24,   367,    -1,    27,   367,    -1,    28,   367,
      -1,    26,   367,    -1,    29,   367,    -1,    30,   367,    -1,
      31,   367,    -1,    32,   367,    -1,    33,   367,    -1,    34,
     367,    -1,    35,   367,    -1,    36,   367,    -1,    37,   367,
      -1,    41,   367,    -1,    40,   367,    -1,    42,   367,    -1,
      44,   367,    -1,    38,   367,    -1,    39,   367,    -1,    43,
     367,    -1,     6,   367,    -1,     7,   367,    -1,     9,   367,
      -1,    10,   364,    -1,    11,   364,    -1,    12,   367,    -1,
       8,   368,    -1,   108,    -1,   109,    -1,    49,    -1,   110,
      -1,   111,    -1,   112,    -1,    -1,    45,   208,   221,   222,
     225,   209,    -1,    -1,   222,   223,    -1,    -1,   105,   208,
     224,   241,   209,    -1,   226,    -1,   225,   226,    -1,    -1,
      46,   208,   227,   228,   209,    -1,    -1,   228,   229,    -1,
     232,    -1,   106,   368,    -1,   264,    -1,   268,    -1,   278,
      -1,   289,    -1,   173,   372,    -1,    51,   208,   230,   209,
      -1,    -1,   230,   231,    -1,   129,   370,    -1,   137,   367,
      -1,   235,    -1,   233,    -1,    -1,    48,   208,   234,   237,
     209,    -1,    -1,    47,   208,   236,   237,   209,    -1,    -1,
     237,   238,    -1,   106,   368,    -1,   119,   368,    -1,   239,
      -1,   245,    -1,    51,   208,   243,   209,    -1,    -1,   105,
     208,   240,   241,   209,    -1,    -1,   241,   242,    -1,   107,
     219,    -1,   120,   368,    -1,   121,   368,    -1,   125,   372,
      -1,   162,   372,    -1,   126,   368,    -1,    -1,   243,   244,
      -1,   122,   368,    -1,   123,   369,    -1,   138,   367,    -1,
     124,   367,    -1,    56,   367,    -1,    61,   367,    -1,    -1,
      49,   208,   246,   247,   209,    -1,    -1,   247,   248,    -1,
     251,    -1,    51,   208,   249,   209,    -1,   106,   368,    -1,
     125,   372,    -1,   163,   372,    -1,   152,   363,    -1,    -1,
     249,   250,    -1,    60,   367,    -1,    61,   367,    -1,    62,
     367,    -1,    -1,    50,   208,   252,   253,   209,    -1,    -1,
     253,   254,    -1,   257,    -1,    51,   208,   255,   209,    -1,
     106,   368,    -1,   152,   363,    -1,    -1,   255,   256,    -1,
      52,   367,    -1,    53,   367,    -1,    54,   367,    -1,    55,
     367,    -1,    58,   367,    -1,    59,   367,    -1,    56,   367,
      -1,    63,   367,    -1,    64,   367,    -1,    65,   367,    -1,
      66,   367,    -1,    67,   367,    -1,    68,   367,    -1,    69,
     367,    -1,    70,   367,    -1,    71,   367,    -1,    -1,    89,
     208,   258,   259,   209,    -1,    -1,   259,   260,    -1,   106,
     368,    -1,    51,   208,   262,   209,    -1,   152,   363,    -1,
      -1,   153,   210,   261,   306,   211,    -1,    -1,   262,   263,
      -1,    56,   367,    -1,    57,   367,    -1,   207,   368,    -1,
      -1,    90,   208,   265,   266,   209,    -1,    -1,   266,   267,
      -1,   106,   368,    -1,   129,   370,    -1,   130,   210,   370,
     370,   370,   211,    -1,   131,   210,   370,   370,   370,   211,
      -1,   132,   210,   370,   370,   370,   211,    -1,   133,   370,
      -1,   134,   367,    -1,   135,   367,    -1,   136,   368,    -1,
      -1,    91,   208,   269,   270,   209,    -1,    -1,   270,   271,
      -1,   106,   368,    -1,   272,    -1,    -1,    92,   208,   273,
     274,   209,    -1,    -1,   274,   275,    -1,   106,   368,    -1,
     206,   368,    -1,    -1,   189,   276,   277,    -1,   152,   363,
      -1,   308,    -1,   313,    -1,    90,   368,    -1,    90,   372,
      -1,   196,    -1,   197,    -1,    -1,    93,   208,   279,   280,
     209,    -1,    -1,   280,   281,    -1,   106,   368,    -1,    91,
     368,    -1,   343,    -1,    91,   372,    -1,    91,    73,    -1,
     308,    -1,   313,    -1,   282,    -1,    -1,    94,   208,   283,
     284,   209,    -1,    -1,   284,   285,    -1,   106,   368,    -1,
      89,   368,    -1,    -1,   128,   210,   286,   287,   211,    -1,
     152,   363,    -1,   343,    -1,   308,    -1,   313,    -1,    -1,
     287,   288,    -1,   149,    -1,   150,    -1,   151,    -1,    -1,
      95,   208,   290,   291,   209,    -1,    -1,   291,   292,    -1,
     289,    -1,   106,   368,    -1,    89,   368,    -1,    89,   296,
      -1,    -1,   127,   210,   293,   300,   211,    -1,    -1,   128,
     210,   294,   302,   211,    -1,    -1,   142,   210,   295,   304,
     211,    -1,   152,   363,    -1,   157,   210,   370,   370,   211,
      -1,   158,   372,    -1,   159,   372,    -1,   195,   210,   370,
     370,   211,    -1,   160,   210,   372,   372,   372,   372,   211,
      -1,   161,   210,   372,   372,   211,    -1,   308,    -1,   313,
      -1,   317,    -1,   321,    -1,   343,    -1,   347,    -1,   349,
      -1,   355,    -1,   357,    -1,    51,   208,   361,   209,    -1,
      -1,   212,   297,   298,   213,    -1,    -1,   298,   299,    -1,
      93,   368,    -1,    93,   372,    -1,    94,   368,    -1,    94,
     372,    -1,    91,   368,    -1,    91,   372,    -1,    92,   368,
      -1,    92,   372,    -1,    -1,   300,   301,    -1,   143,    -1,
     144,    -1,   145,    -1,   146,    -1,    -1,   302,   303,    -1,
     149,    -1,   150,    -1,   151,    -1,    -1,   304,   305,    -1,
     147,    -1,   148,    -1,    -1,   306,   307,    -1,   154,    -1,
     155,    -1,   156,    -1,    -1,   164,   208,   309,   310,   209,
      -1,    -1,   310,   311,    -1,   165,   210,   370,   370,   370,
     211,    -1,   166,   210,   370,   370,   370,   211,    -1,   167,
     210,   370,   370,   370,   211,    -1,   107,   312,    -1,   115,
      -1,   118,    -1,    -1,   168,   208,   314,   315,   209,    -1,
      -1,   315,   316,    -1,   169,   210,   370,   370,   370,   211,
      -1,   170,   370,    -1,   171,   210,   370,   370,   211,    -1,
     172,   210,   370,   370,   370,   211,    -1,    96,   208,   318,
     209,    -1,    -1,   318,   319,    -1,   189,   320,    -1,   104,
     370,    -1,   191,   370,    -1,    87,   370,    -1,   193,   210,
     372,   372,   211,    -1,   193,   370,    -1,   194,   210,   372,
     372,   211,    -1,   194,   370,    -1,   190,    -1,   192,    -1,
      83,    -1,    84,    -1,    88,    -1,    85,    -1,    86,    -1,
     322,    -1,   324,    -1,   325,    -1,   327,    -1,   329,    -1,
     330,    -1,   331,    -1,    -1,    97,   208,   323,   333,   209,
      -1,    98,   208,   209,    -1,    -1,    99,   208,   326,   335,
     209,    -1,    -1,   100,   208,   328,   338,   209,    -1,   101,
     208,   209,    -1,   102,   208,   209,    -1,    -1,   103,   208,
     332,   341,   209,    -1,    -1,   333,   334,    -1,   104,   370,
      -1,    87,   370,    -1,    -1,   335,   336,    -1,   104,   370,
      -1,   193,   210,   372,   372,   211,    -1,   191,   370,    -1,
     193,   370,    -1,   189,   337,    -1,   194,   210,   372,   372,
     211,    -1,   194,   370,    -1,   190,    -1,   192,    -1,    83,
      -1,    84,    -1,    -1,   338,   339,    -1,   104,   370,    -1,
     193,   210,   372,   372,   211,    -1,   193,   370,    -1,   189,
     340,    -1,   194,   210,   372,   372,   211,    -1,   194,   370,
      -1,   190,    -1,   192,    -1,    83,    -1,    84,    -1,    -1,
     341,   342,    -1,   106,   368,    -1,   203,   210,   372,   372,
     211,    -1,    -1,   174,   208,   344,   345,   209,    -1,    -1,
     345,   346,    -1,   106,   368,    -1,   175,   367,    -1,   176,
     367,    -1,    -1,   177,   208,   348,   351,   209,    -1,    -1,
     178,   208,   350,   351,   209,    -1,    -1,   351,   352,    -1,
     106,   368,    -1,   107,   354,    -1,   152,   363,    -1,    -1,
     142,   210,   353,   304,   211,    -1,   195,   210,   370,   370,
     211,    -1,   113,    -1,   114,    -1,    -1,   179,   208,   356,
     359,   209,    -1,    -1,   180,   208,   358,   359,   209,    -1,
      -1,   359,   360,    -1,   106,   368,    -1,   203,   210,   372,
     372,   211,    -1,    -1,   361,   362,    -1,   181,   367,    -1,
     182,   364,    -1,   183,   364,    -1,   184,   367,    -1,   210,
     370,   370,   370,   370,   211,    -1,   210,   365,   211,    -1,
      -1,   366,    -1,   365,   366,    -1,    80,    -1,    81,    -1,
      82,    -1,    72,    -1,    73,    -1,    74,    -1,    75,    -1,
      83,    -1,    76,    -1,    77,    -1,    78,    -1,    79,    -1,
      84,    -1,    50,    -1,   186,    -1,   185,    -1,   139,    -1,
     140,    -1,   141,    -1,   187,    -1,   188,    -1,   115,    -1,
     116,    -1,   117,    -1,   371,    -1,   204,   371,    -1,   205,
     371,    -1,   198,    -1,   199,    -1,   200,    -1,   371,    -1,
     201,    -1,   372,    -1,   202,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   330,   330,   330,   332,   332,   338,   339,   342,   342,
     345,   350,   355,   360,   365,   370,   375,   380,   385,   390,
     395,   400,   405,   410,   415,   420,   425,   430,   435,   440,
     445,   450,   455,   460,   465,   470,   475,   480,   485,   490,
     495,   500,   505,   510,   515,   520,   525,   530,   535,   543,
     544,   545,   546,   547,   548,   550,   550,   554,   554,   556,
     555,   567,   567,   569,   568,   576,   576,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   586,   588,   590,   593,
     593,   594,   594,   600,   599,   606,   606,   608,   609,   610,
     611,   612,   615,   614,   621,   621,   623,   624,   625,   626,
     627,   628,   630,   630,   632,   634,   637,   639,   641,   647,
     652,   651,   657,   657,   659,   660,   661,   662,   663,   664,
     669,   669,   671,   673,   675,   680,   679,   686,   686,   688,
     689,   690,   691,   699,   699,   701,   703,   705,   707,   709,
     711,   713,   715,   717,   719,   721,   723,   725,   727,   729,
     731,   735,   734,   741,   741,   743,   744,   746,   754,   754,
     756,   756,   758,   761,   764,   767,   767,   769,   769,   771,
     772,   782,   787,   792,   797,   798,   800,   801,   803,   803,
     805,   805,   807,   808,   810,   810,   812,   812,   814,   815,
     816,   816,   818,   820,   821,   822,   833,   847,   848,   850,
     850,   852,   852,   854,   855,   866,   867,   879,   883,   884,
     885,   887,   887,   889,   889,   891,   892,   903,   903,   905,
     907,   908,   909,   911,   911,   913,   914,   915,   918,   917,
     927,   927,   929,   930,   931,   942,   966,   966,   968,   968,
     970,   970,   972,   974,   976,   977,   978,   980,   982,   984,
     985,   986,   987,   988,   989,   990,   991,   992,   993,   996,
     996,  1004,  1004,  1006,  1016,  1026,  1033,  1040,  1050,  1060,
    1067,  1075,  1075,  1077,  1078,  1079,  1080,  1082,  1082,  1084,
    1085,  1086,  1088,  1088,  1090,  1091,  1093,  1093,  1095,  1096,
    1097,  1099,  1099,  1101,  1101,  1103,  1105,  1107,  1109,  1112,
    1113,  1115,  1115,  1118,  1118,  1120,  1122,  1124,  1126,  1130,
    1139,  1139,  1141,  1142,  1149,  1150,  1151,  1153,  1154,  1156,
    1159,  1165,  1171,  1177,  1183,  1187,  1192,  1197,  1197,  1197,
    1197,  1198,  1198,  1198,  1201,  1200,  1207,  1212,  1211,  1219,
    1218,  1225,  1229,  1234,  1233,  1241,  1241,  1243,  1244,  1246,
    1246,  1248,  1249,  1251,  1253,  1254,  1255,  1257,  1260,  1261,
    1262,  1263,  1265,  1265,  1267,  1268,  1270,  1271,  1272,  1274,
    1277,  1278,  1279,  1280,  1282,  1282,  1284,  1285,  1289,  1289,
    1292,  1292,  1293,  1294,  1295,  1299,  1299,  1305,  1305,  1311,
    1311,  1313,  1314,  1315,  1317,  1317,  1319,  1323,  1324,  1326,
    1326,  1332,  1332,  1338,  1338,  1340,  1341,  1344,  1344,  1346,
    1348,  1351,  1354,  1357,  1365,  1367,  1368,  1369,  1371,  1372,
    1373,  1376,  1377,  1378,  1379,  1380,  1381,  1382,  1383,  1384,
    1385,  1386,  1387,  1388,  1389,  1390,  1391,  1392,  1393,  1394,
    1395,  1396,  1397,  1398,  1399,  1401,  1410,  1412,  1413,  1415,
    1416,  1417
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "EQTOKEN_HEADER", "EQTOKEN_ASCII",
  "EQTOKEN_GLOBAL", "EQTOKEN_CHANNEL_IATTR_HINT_STATISTICS",
  "EQTOKEN_CHANNEL_IATTR_HINT_SENDTOKEN",
  "EQTOKEN_CHANNEL_SATTR_DUMP_IMAGE", "EQTOKEN_COMPOUND_IATTR_STEREO_MODE",
  "EQTOKEN_COMPOUND_IATTR_STEREO_ANAGLYPH_LEFT_MASK",
  "EQTOKEN_COMPOUND_IATTR_STEREO_ANAGLYPH_RIGHT_MASK",
  "EQTOKEN_COMPOUND_IATTR_UPDATE_FOV", "EQTOKEN_CONNECTION_SATTR_FILENAME",
  "EQTOKEN_CONNECTION_SATTR_HOSTNAME",
  "EQTOKEN_CONNECTION_IATTR_BANDWIDTH", "EQTOKEN_CONNECTION_IATTR_TYPE",
  "EQTOKEN_CONNECTION_IATTR_PORT", "EQTOKEN_CONFIG_FATTR_EYE_BASE",
  "EQTOKEN_CONFIG_IATTR_ROBUSTNESS", "EQTOKEN_NODE_SATTR_LAUNCH_COMMAND",
  "EQTOKEN_NODE_CATTR_LAUNCH_COMMAND_QUOTE",
  "EQTOKEN_NODE_IATTR_THREAD_MODEL", "EQTOKEN_NODE_IATTR_HINT_AFFINITY",
  "EQTOKEN_NODE_IATTR_HINT_STATISTICS",
  "EQTOKEN_NODE_IATTR_LAUNCH_TIMEOUT",
  "EQTOKEN_PIPE_IATTR_HINT_CUDA_GL_INTEROP",
  "EQTOKEN_PIPE_IATTR_HINT_THREAD", "EQTOKEN_PIPE_IATTR_HINT_AFFINITY",
  "EQTOKEN_WINDOW_IATTR_HINT_STEREO",
  "EQTOKEN_WINDOW_IATTR_HINT_DOUBLEBUFFER",
  "EQTOKEN_WINDOW_IATTR_HINT_FULLSCREEN",
  "EQTOKEN_WINDOW_IATTR_HINT_DECORATION",
  "EQTOKEN_WINDOW_IATTR_HINT_SWAPSYNC",
  "EQTOKEN_WINDOW_IATTR_HINT_DRAWABLE",
  "EQTOKEN_WINDOW_IATTR_HINT_STATISTICS",
  "EQTOKEN_WINDOW_IATTR_HINT_SCREENSAVER",
  "EQTOKEN_WINDOW_IATTR_HINT_GRAB_POINTER",
  "EQTOKEN_WINDOW_IATTR_PLANES_ACCUM",
  "EQTOKEN_WINDOW_IATTR_PLANES_ACCUM_ALPHA",
  "EQTOKEN_WINDOW_IATTR_PLANES_ALPHA", "EQTOKEN_WINDOW_IATTR_PLANES_COLOR",
  "EQTOKEN_WINDOW_IATTR_PLANES_DEPTH",
  "EQTOKEN_WINDOW_IATTR_PLANES_SAMPLES",
  "EQTOKEN_WINDOW_IATTR_PLANES_STENCIL", "EQTOKEN_SERVER",
  "EQTOKEN_CONFIG", "EQTOKEN_APPNODE", "EQTOKEN_NODE", "EQTOKEN_PIPE",
  "EQTOKEN_WINDOW", "EQTOKEN_ATTRIBUTES", "EQTOKEN_HINT_STEREO",
  "EQTOKEN_HINT_DOUBLEBUFFER", "EQTOKEN_HINT_FULLSCREEN",
  "EQTOKEN_HINT_DECORATION", "EQTOKEN_HINT_STATISTICS",
  "EQTOKEN_HINT_SENDTOKEN", "EQTOKEN_HINT_SWAPSYNC",
  "EQTOKEN_HINT_DRAWABLE", "EQTOKEN_HINT_THREAD", "EQTOKEN_HINT_AFFINITY",
  "EQTOKEN_HINT_CUDA_GL_INTEROP", "EQTOKEN_HINT_SCREENSAVER",
  "EQTOKEN_HINT_GRAB_POINTER", "EQTOKEN_PLANES_COLOR",
  "EQTOKEN_PLANES_ALPHA", "EQTOKEN_PLANES_DEPTH", "EQTOKEN_PLANES_STENCIL",
  "EQTOKEN_PLANES_ACCUM", "EQTOKEN_PLANES_ACCUM_ALPHA",
  "EQTOKEN_PLANES_SAMPLES", "EQTOKEN_ON", "EQTOKEN_OFF", "EQTOKEN_AUTO",
  "EQTOKEN_FASTEST", "EQTOKEN_NICEST", "EQTOKEN_QUAD", "EQTOKEN_ANAGLYPH",
  "EQTOKEN_PASSIVE", "EQTOKEN_RED", "EQTOKEN_GREEN", "EQTOKEN_BLUE",
  "EQTOKEN_HORIZONTAL", "EQTOKEN_VERTICAL", "EQTOKEN_DFR", "EQTOKEN_DDS",
  "EQTOKEN_FRAMERATE", "EQTOKEN_DPLEX", "EQTOKEN_CHANNEL",
  "EQTOKEN_OBSERVER", "EQTOKEN_LAYOUT", "EQTOKEN_VIEW", "EQTOKEN_CANVAS",
  "EQTOKEN_SEGMENT", "EQTOKEN_COMPOUND", "EQTOKEN_LOADBALANCER",
  "EQTOKEN_DFREQUALIZER", "EQTOKEN_FRAMERATEEQUALIZER",
  "EQTOKEN_LOADEQUALIZER", "EQTOKEN_TREEEQUALIZER",
  "EQTOKEN_MONITOREQUALIZER", "EQTOKEN_VIEWEQUALIZER",
  "EQTOKEN_TILEEQUALIZER", "EQTOKEN_DAMPING", "EQTOKEN_CONNECTION",
  "EQTOKEN_NAME", "EQTOKEN_TYPE", "EQTOKEN_TCPIP", "EQTOKEN_SDP",
  "EQTOKEN_RSP", "EQTOKEN_RDMA", "EQTOKEN_UDT", "EQTOKEN_TEXTURE",
  "EQTOKEN_MEMORY", "EQTOKEN_FIXED", "EQTOKEN_RELATIVE_TO_ORIGIN",
  "EQTOKEN_RELATIVE_TO_OBSERVER", "EQTOKEN_HMD", "EQTOKEN_HOST",
  "EQTOKEN_HOSTNAME", "EQTOKEN_INTERFACE", "EQTOKEN_LAUNCH_COMMAND",
  "EQTOKEN_LAUNCH_COMMAND_QUOTE", "EQTOKEN_LAUNCH_TIMEOUT", "EQTOKEN_PORT",
  "EQTOKEN_FILENAME", "EQTOKEN_TASK", "EQTOKEN_EYE", "EQTOKEN_EYE_BASE",
  "EQTOKEN_EYE_LEFT", "EQTOKEN_EYE_CYCLOP", "EQTOKEN_EYE_RIGHT",
  "EQTOKEN_FOCUS_DISTANCE", "EQTOKEN_FOCUS_MODE", "EQTOKEN_OPENCV_CAMERA",
  "EQTOKEN_VRPN_TRACKER", "EQTOKEN_ROBUSTNESS", "EQTOKEN_THREAD_MODEL",
  "EQTOKEN_ASYNC", "EQTOKEN_DRAW_SYNC", "EQTOKEN_LOCAL_SYNC",
  "EQTOKEN_BUFFER", "EQTOKEN_CLEAR", "EQTOKEN_DRAW", "EQTOKEN_ASSEMBLE",
  "EQTOKEN_READBACK", "EQTOKEN_COLOR", "EQTOKEN_DEPTH", "EQTOKEN_CYCLOP",
  "EQTOKEN_LEFT", "EQTOKEN_RIGHT", "EQTOKEN_VIEWPORT", "EQTOKEN_DRAWABLE",
  "EQTOKEN_FBO_COLOR", "EQTOKEN_FBO_DEPTH", "EQTOKEN_FBO_STENCIL",
  "EQTOKEN_RANGE", "EQTOKEN_PERIOD", "EQTOKEN_PHASE", "EQTOKEN_PIXEL",
  "EQTOKEN_SUBPIXEL", "EQTOKEN_BANDWIDTH", "EQTOKEN_DEVICE",
  "EQTOKEN_WALL", "EQTOKEN_BOTTOM_LEFT", "EQTOKEN_BOTTOM_RIGHT",
  "EQTOKEN_TOP_LEFT", "EQTOKEN_PROJECTION", "EQTOKEN_ORIGIN",
  "EQTOKEN_DISTANCE", "EQTOKEN_FOV", "EQTOKEN_HPR", "EQTOKEN_LATENCY",
  "EQTOKEN_SWAPBARRIER", "EQTOKEN_NVGROUP", "EQTOKEN_NVBARRIER",
  "EQTOKEN_OUTPUTFRAME", "EQTOKEN_INPUTFRAME", "EQTOKEN_OUTPUTTILES",
  "EQTOKEN_INPUTTILES", "EQTOKEN_STEREO_MODE",
  "EQTOKEN_STEREO_ANAGLYPH_LEFT_MASK",
  "EQTOKEN_STEREO_ANAGLYPH_RIGHT_MASK", "EQTOKEN_UPDATE_FOV",
  "EQTOKEN_PBUFFER", "EQTOKEN_FBO", "EQTOKEN_RGBA16F", "EQTOKEN_RGBA32F",
  "EQTOKEN_MODE", "EQTOKEN_2D", "EQTOKEN_ASSEMBLE_ONLY_LIMIT",
  "EQTOKEN_DB", "EQTOKEN_BOUNDARY", "EQTOKEN_RESISTANCE", "EQTOKEN_ZOOM",
  "EQTOKEN_MONO", "EQTOKEN_STEREO", "EQTOKEN_STRING", "EQTOKEN_CHARACTER",
  "EQTOKEN_FLOAT", "EQTOKEN_INTEGER", "EQTOKEN_UNSIGNED", "EQTOKEN_SIZE",
  "EQTOKEN_CORE", "EQTOKEN_SOCKET", "EQTOKEN_DISPLAYCLUSTER",
  "EQTOKEN_DUMP_IMAGE", "'{'", "'}'", "'['", "']'", "'('", "')'",
  "$accept", "file", "header", "global", "globals", "connectionType",
  "server", "$@1", "serverConnections", "serverConnection", "$@2",
  "configs", "config", "$@3", "configFields", "configField",
  "configAttributes", "configAttribute", "node", "renderNode", "$@4",
  "appNode", "$@5", "nodeFields", "nodeField", "connection", "$@6",
  "connectionFields", "connectionField", "nodeAttributes", "nodeAttribute",
  "pipe", "$@7", "pipeFields", "pipeField", "pipeAttributes",
  "pipeAttribute", "window", "$@8", "windowFields", "windowField",
  "windowAttributes", "windowAttribute", "channel", "$@9", "channelFields",
  "channelField", "$@10", "channelAttributes", "channelAttribute",
  "observer", "$@11", "observerFields", "observerField", "layout", "$@12",
  "layoutFields", "layoutField", "view", "$@13", "viewFields", "viewField",
  "$@14", "viewMode", "canvas", "$@15", "canvasFields", "canvasField",
  "segment", "$@16", "segmentFields", "segmentField", "$@17",
  "segmentEyes", "segumentEye", "compound", "$@18", "compoundFields",
  "compoundField", "$@19", "$@20", "$@21", "viewSegmentRef", "$@22",
  "viewSegmentRefFields", "viewSegmentRefField", "compoundTasks",
  "compoundTask", "compoundEyes", "compoundEye", "buffers", "buffer",
  "drawables", "drawable", "wall", "$@23", "wallFields", "wallField",
  "wallType", "projection", "$@24", "projectionFields", "projectionField",
  "loadBalancer", "loadBalancerFields", "loadBalancerField",
  "loadBalancerMode", "equalizer", "dfrEqualizer", "$@25",
  "framerateEqualizer", "loadEqualizer", "$@26", "treeEqualizer", "$@27",
  "monitorEqualizer", "viewEqualizer", "tileEqualizer", "$@28",
  "dfrEqualizerFields", "dfrEqualizerField", "loadEqualizerFields",
  "loadEqualizerField", "loadEqualizerMode", "treeEqualizerFields",
  "treeEqualizerField", "treeEqualizerMode", "tileEqualizerFields",
  "tileEqualizerField", "swapBarrier", "$@29", "swapBarrierFields",
  "swapBarrierField", "outputFrame", "$@30", "inputFrame", "$@31",
  "frameFields", "frameField", "$@32", "frameType", "outputTiles", "$@33",
  "inputTiles", "$@34", "tileQueueFields", "tileQueueField",
  "compoundAttributes", "compoundAttribute", "viewport", "colorMask",
  "colorMaskBits", "colorMaskBit", "IATTR", "STRING", "CHARACTER", "FLOAT",
  "INTEGER", "UNSIGNED", YY_NULL
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   123,   125,
      91,    93,    40,    41
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   214,   215,   215,   216,   216,   217,   217,   218,   218,
     217,   217,   217,   217,   217,   217,   217,   217,   217,   217,
     217,   217,   217,   217,   217,   217,   217,   217,   217,   217,
     217,   217,   217,   217,   217,   217,   217,   217,   217,   217,
     217,   217,   217,   217,   217,   217,   217,   217,   217,   219,
     219,   219,   219,   219,   219,   221,   220,   222,   222,   224,
     223,   225,   225,   227,   226,   228,   228,   229,   229,   229,
     229,   229,   229,   229,   229,   230,   230,   231,   231,   232,
     232,   234,   233,   236,   235,   237,   237,   238,   238,   238,
     238,   238,   240,   239,   241,   241,   242,   242,   242,   242,
     242,   242,   243,   243,   244,   244,   244,   244,   244,   244,
     246,   245,   247,   247,   248,   248,   248,   248,   248,   248,
     249,   249,   250,   250,   250,   252,   251,   253,   253,   254,
     254,   254,   254,   255,   255,   256,   256,   256,   256,   256,
     256,   256,   256,   256,   256,   256,   256,   256,   256,   256,
     256,   258,   257,   259,   259,   260,   260,   260,   261,   260,
     262,   262,   263,   263,   263,   265,   264,   266,   266,   267,
     267,   267,   267,   267,   267,   267,   267,   267,   269,   268,
     270,   270,   271,   271,   273,   272,   274,   274,   275,   275,
     276,   275,   275,   275,   275,   275,   275,   277,   277,   279,
     278,   280,   280,   281,   281,   281,   281,   281,   281,   281,
     281,   283,   282,   284,   284,   285,   285,   286,   285,   285,
     285,   285,   285,   287,   287,   288,   288,   288,   290,   289,
     291,   291,   292,   292,   292,   292,   293,   292,   294,   292,
     295,   292,   292,   292,   292,   292,   292,   292,   292,   292,
     292,   292,   292,   292,   292,   292,   292,   292,   292,   297,
     296,   298,   298,   299,   299,   299,   299,   299,   299,   299,
     299,   300,   300,   301,   301,   301,   301,   302,   302,   303,
     303,   303,   304,   304,   305,   305,   306,   306,   307,   307,
     307,   309,   308,   310,   310,   311,   311,   311,   311,   312,
     312,   314,   313,   315,   315,   316,   316,   316,   316,   317,
     318,   318,   319,   319,   319,   319,   319,   319,   319,   319,
     320,   320,   320,   320,   320,   320,   320,   321,   321,   321,
     321,   321,   321,   321,   323,   322,   324,   326,   325,   328,
     327,   329,   330,   332,   331,   333,   333,   334,   334,   335,
     335,   336,   336,   336,   336,   336,   336,   336,   337,   337,
     337,   337,   338,   338,   339,   339,   339,   339,   339,   339,
     340,   340,   340,   340,   341,   341,   342,   342,   344,   343,
     345,   345,   346,   346,   346,   348,   347,   350,   349,   351,
     351,   352,   352,   352,   353,   352,   352,   354,   354,   356,
     355,   358,   357,   359,   359,   360,   360,   361,   361,   362,
     362,   362,   362,   363,   364,   365,   365,   365,   366,   366,
     366,   367,   367,   367,   367,   367,   367,   367,   367,   367,
     367,   367,   367,   367,   367,   367,   367,   367,   367,   367,
     367,   367,   367,   367,   367,   368,   369,   370,   370,   371,
     371,   372
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     3,     3,     0,     3,     4,     0,     0,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     1,
       1,     1,     1,     1,     1,     0,     6,     0,     2,     0,
       5,     1,     2,     0,     5,     0,     2,     1,     2,     1,
       1,     1,     1,     2,     4,     0,     2,     2,     2,     1,
       1,     0,     5,     0,     5,     0,     2,     2,     2,     1,
       1,     4,     0,     5,     0,     2,     2,     2,     2,     2,
       2,     2,     0,     2,     2,     2,     2,     2,     2,     2,
       0,     5,     0,     2,     1,     4,     2,     2,     2,     2,
       0,     2,     2,     2,     2,     0,     5,     0,     2,     1,
       4,     2,     2,     0,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     0,     5,     0,     2,     2,     4,     2,     0,     5,
       0,     2,     2,     2,     2,     0,     5,     0,     2,     2,
       2,     6,     6,     6,     2,     2,     2,     2,     0,     5,
       0,     2,     2,     1,     0,     5,     0,     2,     2,     2,
       0,     3,     2,     1,     1,     2,     2,     1,     1,     0,
       5,     0,     2,     2,     2,     1,     2,     2,     1,     1,
       1,     0,     5,     0,     2,     2,     2,     0,     5,     2,
       1,     1,     1,     0,     2,     1,     1,     1,     0,     5,
       0,     2,     1,     2,     2,     2,     0,     5,     0,     5,
       0,     5,     2,     5,     2,     2,     5,     7,     5,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     0,
       4,     0,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     0,     2,     1,     1,     1,     1,     0,     2,     1,
       1,     1,     0,     2,     1,     1,     0,     2,     1,     1,
       1,     0,     5,     0,     2,     6,     6,     6,     2,     1,
       1,     0,     5,     0,     2,     6,     2,     5,     6,     4,
       0,     2,     2,     2,     2,     2,     5,     2,     5,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     5,     3,     0,     5,     0,
       5,     3,     3,     0,     5,     0,     2,     2,     2,     0,
       2,     2,     5,     2,     2,     2,     5,     2,     1,     1,
       1,     1,     0,     2,     2,     5,     2,     2,     5,     2,
       1,     1,     1,     1,     0,     2,     2,     5,     0,     5,
       0,     2,     2,     2,     2,     0,     5,     0,     5,     0,
       2,     2,     2,     2,     0,     5,     5,     1,     1,     0,
       5,     0,     5,     0,     2,     2,     5,     0,     2,     2,
       2,     2,     2,     6,     3,     0,     1,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     1
};

/* YYDEFACT[STATE-NAME] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       4,     0,     0,     7,   447,   449,   451,     0,   448,   450,
       1,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     5,     8,   431,   421,   422,   423,   424,   426,
     427,   428,   429,   425,   430,   439,   440,   441,   434,   435,
     436,   433,   432,   437,   438,     0,     0,    42,   442,    43,
     445,    48,    44,   415,    45,    46,    47,    13,    10,    14,
      51,    49,    50,    52,    53,    54,    11,    12,    15,    16,
      17,   446,    18,    19,    20,    22,    21,    25,    23,    24,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    39,
      40,    36,    35,    37,    41,    38,     0,     0,     2,     3,
       0,   443,   444,   418,   419,   420,     0,   416,    55,    63,
       6,     9,   414,   417,    57,    65,     0,     0,     0,    58,
       0,    61,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    64,    66,    67,    80,    79,    69,    70,    71,    72,
      59,    56,    62,    83,    81,    75,   165,   178,   199,   228,
      68,    73,    94,    85,    85,     0,   167,   180,   201,   230,
       0,     0,     0,     0,     0,    74,    76,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    60,    95,     0,
       0,     0,     0,     0,    84,    86,    89,    90,    82,    77,
      78,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     166,   168,     0,     0,   179,   181,   183,     0,     0,     0,
       0,     0,     0,   200,   202,   210,   208,   209,   205,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   229,   232,   231,   249,   250,   251,
     252,   327,   328,   329,   330,   331,   332,   333,   253,   254,
     255,   256,   257,    96,    97,    98,    99,   101,   100,   110,
     102,    92,    87,    88,   169,   170,     0,     0,     0,   174,
     175,   176,   177,   184,   182,   207,   204,   206,   211,   203,
     291,   301,   378,   407,   259,   235,   234,   310,   334,     0,
     337,   339,     0,     0,   343,   233,   236,   238,   240,     0,
     242,     0,   244,   245,     0,     0,   385,   387,   399,   401,
       0,   112,     0,    94,     0,     0,     0,   186,   213,   293,
     303,   380,     0,   261,     0,   345,   336,   349,   362,   341,
     342,   374,   271,   277,   282,     0,     0,     0,     0,   389,
     389,   403,   403,     0,     0,     0,     0,     0,     0,     0,
       0,    91,   103,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   258,   408,     0,     0,
       0,     0,     0,     0,     0,   309,   311,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   111,
     113,   114,   108,   109,   104,   105,   107,   106,    93,     0,
       0,     0,     0,     0,     0,   190,     0,   185,   187,   193,
     194,     0,     0,     0,     0,   212,   214,   221,   222,   220,
       0,     0,     0,     0,   292,   294,     0,     0,     0,     0,
     302,   304,     0,     0,     0,   379,   381,   409,   410,   411,
     412,     0,     0,     0,     0,   260,   262,   315,   313,   322,
     323,   325,   326,   324,   320,   321,   312,   314,     0,   317,
       0,   319,     0,     0,   335,   346,     0,     0,     0,     0,
       0,   338,   350,     0,     0,     0,     0,   340,   363,     0,
       0,   344,   375,   273,   274,   275,   276,   237,   272,   279,
     280,   281,   239,   278,   284,   285,   241,   283,     0,   243,
       0,   248,     0,     0,     0,     0,     0,   386,   390,   388,
       0,     0,   400,   404,   402,   246,   125,   120,   116,   117,
     119,   118,   171,   172,   173,   195,   196,   188,   192,     0,
     189,   216,   215,   217,   219,   299,   300,   298,     0,     0,
       0,     0,   306,     0,     0,   382,   383,   384,   267,   268,
     269,   270,   263,   264,   265,   266,     0,     0,   348,   347,
     351,   360,   361,   358,   359,   355,   353,     0,   354,     0,
     357,   364,   372,   373,   370,   371,   367,     0,   366,     0,
     369,   376,     0,     0,     0,   391,   397,   398,   392,   394,
     393,     0,   405,     0,   127,     0,   197,   198,   191,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   247,   282,     0,     0,     0,     0,
       0,     0,   115,   121,     0,     0,     0,     0,     0,     0,
       0,   316,   318,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   126,   128,   129,   122,   123,
     124,   225,   226,   227,   218,   224,     0,     0,     0,     0,
     307,     0,   352,   356,   365,   368,   377,   395,   396,   406,
     133,   151,   131,   132,   295,   296,   297,   305,   308,     0,
     153,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   130,   134,     0,
     135,   136,   137,   138,   141,   139,   140,   142,   143,   144,
     145,   146,   147,   148,   149,   150,     0,     0,     0,     0,
     152,   154,   160,   155,   157,   158,     0,   286,     0,     0,
       0,   156,   161,     0,   162,   163,   164,   288,   289,   290,
     159,   287
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     2,     3,    51,   130,    96,   128,   144,   146,   149,
     182,   150,   129,   145,   147,   162,   185,   196,   163,   164,
     184,   165,   183,   191,   215,   216,   353,   190,   208,   352,
     392,   217,   351,   384,   440,   645,   673,   441,   644,   668,
     696,   729,   748,   697,   730,   749,   771,   777,   776,   782,
     166,   186,   197,   231,   167,   187,   198,   235,   236,   357,
     397,   458,   579,   648,   168,   188,   199,   244,   245,   358,
     398,   466,   649,   674,   705,   169,   189,   200,   276,   372,
     373,   374,   325,   363,   408,   496,   421,   538,   422,   543,
     423,   547,   783,   791,   246,   359,   399,   475,   587,   247,
     360,   400,   481,   279,   364,   416,   506,   280,   281,   365,
     282,   283,   367,   284,   368,   285,   286,   287,   371,   417,
     515,   418,   522,   615,   419,   528,   626,   420,   532,   248,
     361,   401,   486,   289,   379,   290,   380,   428,   558,   665,
     638,   291,   381,   292,   382,   430,   563,   362,   407,   340,
      84,   136,   137,    77,    81,   102,     7,    78,     9
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -400
static const yytype_int16 yypact[] =
{
      36,  -153,    13,  1199,  -400,  -400,  -400,   113,  -400,  -400,
    -400,  -148,   333,   333,   -64,   333,   -68,   -68,   333,   -64,
     -64,   -56,   256,   -56,  -153,   333,   -64,   -50,   333,   333,
     333,   -56,   333,   333,   333,   333,   333,   333,   333,   333,
     333,   333,   333,   333,   333,   333,   333,   333,   333,   333,
     333,   114,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,   -23,   -23,  -400,  -400,  -400,
    -400,  -400,  -400,   342,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,   -54,   -40,  -400,  -400,
      61,  -400,  -400,  -400,  -400,  -400,   -36,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,    68,    60,   -38,  -400,
     -37,  -400,   -34,   -24,   -20,   -17,    19,    27,    46,   -64,
     -56,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,    56,  -400,  -400,  -400,  -400,
     331,     7,    10,  -153,   333,  -400,  -400,   298,    52,   172,
     149,   256,   -64,   -64,   -56,   -64,   -56,  -400,  -400,    51,
      54,    90,   -64,   -64,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,   -64,  -153,    -2,    74,    92,  -153,   333,   333,   -64,
    -400,  -400,    95,   -64,  -400,  -400,  -400,   -62,   106,   -64,
     108,   116,   122,  -400,  -400,  -400,  -400,  -400,  -400,   123,
     -75,   131,   133,   139,   140,   142,   151,   152,   155,   -64,
     112,   145,   160,   164,   165,   -56,   -56,   208,   216,   205,
     227,   234,   235,   237,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,  -153,  -153,  -153,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,    55,
    -400,  -400,   148,   246,  -400,  -400,  -400,  -400,  -400,  -153,
    -400,  -153,  -400,  -400,   -56,   -56,  -400,  -400,  -400,  -400,
    -153,  -400,   134,  -400,  -153,  -153,  -153,  -400,  -400,  -400,
    -400,  -400,   318,  -400,    31,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -153,  -153,   -56,   -56,  -400,
    -400,  -400,  -400,  -153,     0,   333,   333,   -64,   -50,   333,
     333,  -400,  -400,   383,  -153,  -153,  -153,   136,   147,   153,
     345,   245,   333,   -68,   -68,   333,  -400,  -400,    28,  -153,
    -153,   249,  -153,   279,   323,  -400,  -400,   -47,   103,   -61,
     -42,   315,   203,    -9,  -153,   150,   -56,   233,    76,   273,
      70,    71,   254,   259,   261,   -64,   -56,   164,   -56,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,   272,
     276,   277,  -184,   -64,   164,  -400,   -64,  -400,  -400,  -400,
    -400,   -64,   -64,   281,   164,  -400,  -400,  -400,  -400,  -400,
       9,   282,   284,   286,  -400,  -400,   288,  -153,   295,   312,
    -400,  -400,   -64,   333,   333,  -400,  -400,  -400,  -400,  -400,
    -400,  -184,  -184,  -184,  -184,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,   -56,  -400,
     -56,  -400,  -153,  -153,  -400,  -400,  -153,   -21,  -153,   361,
     372,  -400,  -400,  -153,    47,   375,   386,  -400,  -400,   -64,
     319,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -153,  -400,
     -56,  -400,   -64,   173,   320,   164,   337,  -400,  -400,  -400,
     -64,   338,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,    93,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -153,  -153,
    -153,  -153,  -400,  -153,  -153,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,   -56,   -56,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,   -56,  -400,   -56,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,   -56,  -400,   -56,
    -400,  -400,   -56,   317,   344,  -400,  -400,  -400,  -400,  -400,
    -400,  -153,  -400,   -56,  -400,    -8,  -400,  -400,  -400,  -400,
    -153,  -153,  -153,  -153,  -153,  -153,   347,   349,   -56,   -56,
     -56,   -56,   -56,  -400,  -400,  -400,  -153,   -56,    58,   333,
     333,   333,  -400,  -400,   335,  -153,  -153,  -153,  -153,   353,
    -153,  -400,  -400,   367,   368,   370,   373,   378,    82,   379,
     380,   334,   341,   -64,   164,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,   382,   384,   387,   388,
    -400,   389,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,   332,
    -400,   333,   333,   333,   333,   333,   333,   333,   333,   333,
     333,   333,   333,   333,   333,   333,   333,  -400,  -400,    59,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,   348,   -64,   164,   343,
    -400,  -400,  -400,  -400,  -400,  -400,   -15,  -400,   333,   333,
     -64,  -400,  -400,   127,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -400,  -400,  -400,   413,  -400,   393,  -400,  -400,  -400,  -400,
    -400,  -400,    -5,  -400,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,   399,  -400,  -400,  -400,   244,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,   401,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,
     -63,  -400,  -400,  -400,  -199,  -400,  -400,  -400,  -400,  -194,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -400,  -192,
    -400,  -400,  -400,  -400,  -400,  -400,  -400,   223,  -400,  -400,
    -400,  -400,  -400,  -400,  -400,   222,  -400,  -400,  -400,  -399,
     -10,  -400,   469,   -13,   -16,   218,   429,   156,   536
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -1
static const yytype_uint16 yytable[] =
{
      79,   277,    82,    87,    88,    86,   278,    85,   288,   127,
     100,   315,    99,    10,    80,   103,   104,   105,     6,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   570,     1,
     512,   778,   779,   523,   133,   134,   135,     4,     5,     6,
     433,   434,   669,   670,   671,   578,   209,   513,   210,   209,
      53,   210,   611,   612,   529,   584,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,   435,   152,   153,   691,
     766,   154,   211,   212,   127,   211,   212,    52,   409,   491,
     492,   493,   494,    80,   585,   436,   213,   586,   524,   213,
     622,   623,   525,   526,    80,   410,    80,   324,   544,   545,
       6,   151,    83,   180,   232,   172,     6,   692,   527,   101,
     155,   156,   437,   157,   138,   158,   640,     8,   233,   126,
     127,   530,   514,   438,   693,   767,   159,   531,   139,   613,
     170,   614,   171,   148,   173,   142,   560,   560,     5,     6,
       8,   220,   552,   553,   174,   193,   294,   295,   175,   297,
     385,   176,   780,   194,   781,   386,   302,   303,   459,   467,
     249,   672,   546,   460,   468,   304,   469,   516,   306,   439,
     694,   768,   769,   312,   310,   311,   214,   314,   554,   218,
     411,   316,   412,   319,   413,   414,   452,   177,   555,   544,
     545,   131,   132,   160,   326,   178,   461,   624,   250,   625,
     415,   495,   453,   335,   158,   251,   252,   253,   254,   255,
     256,   257,   258,   462,   179,   259,   387,   388,   389,   299,
     470,   234,   300,   237,   366,   195,   238,   695,   770,   161,
     140,   556,   390,   561,   561,   463,   260,   261,   239,   562,
     564,   787,   788,   789,   307,   557,   636,   637,   454,   646,
     647,   262,   517,   717,   518,   723,   519,   520,   301,   464,
     240,   263,   308,   313,   241,    90,   264,   265,   266,   267,
     268,   240,   521,   240,   318,   241,   320,   241,   471,   472,
     473,   242,   336,   242,   321,   455,   269,   270,   271,   272,
     322,   323,   499,   500,   501,   502,   240,   503,   790,   327,
     241,   328,   456,   391,   273,   457,   242,   329,   330,     8,
     331,   482,   539,   540,   541,   337,   465,   369,   274,   332,
     333,   549,   474,   334,    91,    92,    93,    94,    95,   774,
     338,   444,   442,   443,   339,   341,   446,   447,     8,   552,
     553,   243,     8,    54,   731,   732,   733,   734,   735,   487,
     736,   737,   490,   488,   489,   738,   739,   740,   741,   742,
     743,   744,   745,   746,   221,    55,    56,    57,    58,    59,
      60,    61,    62,   346,   542,   554,    63,    64,   344,   568,
     483,   484,   133,   134,   135,   555,   345,   222,   223,   224,
     225,   226,   227,   228,   229,   347,   575,   577,   201,   504,
     580,   505,   348,   349,   551,   581,   582,   350,    65,    66,
      67,   202,   203,    98,   485,   370,   204,   205,   533,   534,
     535,   536,     8,     8,     8,   565,   595,   566,   556,   567,
     596,   597,    68,    69,    70,   598,   600,   602,   604,     4,
       5,     6,   559,   572,   701,   702,   703,   573,   574,   508,
     201,   583,   588,   206,   589,     8,   590,     8,   591,   402,
     403,   404,   405,   202,   203,   593,     8,   230,   204,   205,
       8,     8,     8,   631,   476,   477,   478,   479,    71,    72,
      73,    74,   594,     4,     5,     6,   537,   406,   663,   632,
     639,     8,     8,   510,     5,     6,   635,    75,    76,     8,
     207,   747,   720,   141,   642,   206,   704,   641,   643,   721,
       8,     8,     8,   775,   480,   664,   772,    89,   681,    97,
     682,     4,     5,     6,   710,     8,     8,   106,     8,     8,
       8,   617,     4,     5,     6,     4,     5,     6,   712,   713,
       8,   714,   619,   192,   715,   627,     4,     5,     6,   716,
     718,   719,   448,   724,   293,   725,   629,   393,   726,   727,
     728,   275,   688,   429,   431,   143,   445,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   219,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     8,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   305,     0,     0,     0,   309,   698,   699,   700,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     8,     8,
       0,     0,     8,     0,     8,     8,     8,   722,     0,     8,
       0,     8,     8,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   181,     0,     0,     0,
       0,     0,     0,     0,     8,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   750,   751,
     752,   753,   754,   755,   756,   757,   758,   759,   760,   761,
     762,   763,   764,   765,     0,   354,   355,   356,     0,     0,
     296,     0,   298,     0,     8,     8,     8,     8,     0,     8,
       8,   773,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   786,   784,   785,     0,   375,     0,
     376,     0,     0,   317,     0,     0,     0,     0,     0,   383,
       0,     0,     0,   394,   395,   396,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     8,     0,     0,
       0,   342,   343,     0,   424,   425,     8,     8,     8,     8,
       8,     8,   432,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     8,   449,   450,   451,     0,     0,     0,     0,
       0,     8,     8,     8,     8,     0,     8,     0,   497,   498,
       0,   507,   509,   511,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   548,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     377,   378,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   592,     0,     0,     0,
       0,     0,     0,   426,   427,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   608,   609,     0,     0,   610,     0,   616,   618,   620,
       0,     0,   621,     0,   628,   630,     0,     0,     0,     0,
       0,     0,   550,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   569,     0,   571,     0,     0,   633,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   576,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   650,   651,   652,
     653,     0,   654,   655,     0,     0,     0,   599,   601,   603,
     605,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   606,     0,   607,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     666,     0,     0,     0,     0,     0,     0,     0,     0,   675,
     676,   677,   678,   679,   680,     0,   634,     0,     0,     0,
       0,     0,     0,     0,     0,   689,     0,     0,     0,     0,
       0,     0,     0,     0,   706,   707,   708,   709,     0,   711,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   656,   657,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   658,     0,   659,     0,     0,     0,     0,
       0,     0,     0,   660,     0,   661,     0,     0,   662,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   667,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   683,   684,   685,   686,   687,     0,
       0,     0,     0,   690,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50
};

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-400)))

#define yytable_value_is_error(Yytable_value) \
  YYID (0)

static const yytype_int16 yycheck[] =
{
      13,   200,    15,    19,    20,    18,   200,    17,   200,    46,
      26,    73,    25,     0,   198,    28,    29,    30,   202,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,   437,     3,
      87,    56,    57,   104,    80,    81,    82,   200,   201,   202,
      50,    51,    60,    61,    62,   454,    49,   104,    51,    49,
     208,    51,    83,    84,   106,   464,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,   106,    47,    48,    51,
      51,    51,   105,   106,    46,   105,   106,     4,    87,    91,
      92,    93,    94,   198,   115,   125,   119,   118,   189,   119,
      83,    84,   193,   194,   198,   104,   198,   212,   147,   148,
     202,   146,   210,   159,    92,   150,   202,    89,   209,   199,
      90,    91,   152,    93,   208,    95,   555,     1,   106,    45,
      46,   203,   209,   163,   106,   106,   106,   209,   208,   190,
     208,   192,   209,   105,   208,   211,   106,   106,   201,   202,
      24,   194,   106,   107,   208,   129,   202,   203,   208,   205,
      56,   208,   207,   137,   209,    61,   212,   213,   397,   398,
      51,   209,   211,   397,   398,   221,   398,   104,   210,   209,
     152,   152,   153,   229,   227,   228,   209,   233,   142,   209,
     189,   237,   191,   239,   193,   194,    90,   208,   152,   147,
     148,    75,    76,   173,   250,   208,    89,   190,    89,   192,
     209,   213,   106,   259,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   106,   208,   106,   122,   123,   124,   208,
     107,   209,   208,    91,   209,   209,    94,   209,   209,   209,
     209,   195,   138,   203,   203,   128,   127,   128,   106,   209,
     209,   154,   155,   156,   210,   209,   113,   114,   152,   196,
     197,   142,   189,   211,   191,   694,   193,   194,   208,   152,
     164,   152,   210,   208,   168,    49,   157,   158,   159,   160,
     161,   164,   209,   164,   208,   168,   208,   168,   165,   166,
     167,   174,   210,   174,   208,   189,   177,   178,   179,   180,
     208,   208,    83,    84,    85,    86,   164,    88,   211,   208,
     168,   208,   206,   209,   195,   209,   174,   208,   208,   193,
     208,   106,   149,   150,   151,   210,   209,   209,   209,   208,
     208,   211,   209,   208,   108,   109,   110,   111,   112,   768,
     210,   387,   385,   386,   210,   210,   389,   390,   222,   106,
     107,   209,   226,    50,    52,    53,    54,    55,    56,   402,
      58,    59,   405,   403,   404,    63,    64,    65,    66,    67,
      68,    69,    70,    71,   106,    72,    73,    74,    75,    76,
      77,    78,    79,   208,   211,   142,    83,    84,   210,   435,
     175,   176,    80,    81,    82,   152,   210,   129,   130,   131,
     132,   133,   134,   135,   136,   208,   452,   453,   107,   190,
     456,   192,   208,   208,   211,   461,   462,   210,   115,   116,
     117,   120,   121,    24,   209,   209,   125,   126,   143,   144,
     145,   146,   306,   307,   308,   211,   482,   208,   195,   208,
     483,   484,   139,   140,   141,   491,   492,   493,   494,   200,
     201,   202,   209,   211,   149,   150,   151,   211,   211,   210,
     107,   210,   210,   162,   210,   339,   210,   341,   210,   181,
     182,   183,   184,   120,   121,   210,   350,   209,   125,   126,
     354,   355,   356,   529,   169,   170,   171,   172,   185,   186,
     187,   188,   210,   200,   201,   202,   211,   209,   211,   210,
     210,   375,   376,   210,   201,   202,   552,   204,   205,   383,
     209,   209,   208,   130,   560,   162,   211,   210,   210,   208,
     394,   395,   396,   210,   209,   211,   208,    21,   211,    23,
     211,   200,   201,   202,   211,   409,   410,    31,   412,   413,
     414,   210,   200,   201,   202,   200,   201,   202,   211,   211,
     424,   211,   210,   184,   211,   210,   200,   201,   202,   211,
     211,   211,   209,   211,   201,   211,   210,   353,   211,   211,
     211,   200,   665,   380,   382,   136,   388,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   477,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   222,    -1,    -1,    -1,   226,   669,   670,   671,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,   513,
      -1,    -1,   516,    -1,   518,   519,   520,   693,    -1,   523,
      -1,   525,   526,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   160,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   548,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   744,   745,   746,    -1,   306,   307,   308,    -1,    -1,
     204,    -1,   206,    -1,   588,   589,   590,   591,    -1,   593,
     594,   767,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   780,   778,   779,    -1,   339,    -1,
     341,    -1,    -1,   237,    -1,    -1,    -1,    -1,    -1,   350,
      -1,    -1,    -1,   354,   355,   356,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   641,    -1,    -1,
      -1,   265,   266,    -1,   375,   376,   650,   651,   652,   653,
     654,   655,   383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   666,   394,   395,   396,    -1,    -1,    -1,    -1,
      -1,   675,   676,   677,   678,    -1,   680,    -1,   409,   410,
      -1,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   424,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     344,   345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   477,    -1,    -1,    -1,
      -1,    -1,    -1,   377,   378,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   512,   513,    -1,    -1,   516,    -1,   518,   519,   520,
      -1,    -1,   523,    -1,   525,   526,    -1,    -1,    -1,    -1,
      -1,    -1,   426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   436,    -1,   438,    -1,    -1,   548,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   452,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   588,   589,   590,
     591,    -1,   593,   594,    -1,    -1,    -1,   491,   492,   493,
     494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   508,    -1,   510,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     641,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   650,
     651,   652,   653,   654,   655,    -1,   550,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   666,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   675,   676,   677,   678,    -1,   680,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   606,   607,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   617,    -1,   619,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   627,    -1,   629,    -1,    -1,   632,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   643,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   658,   659,   660,   661,   662,    -1,
      -1,    -1,    -1,   667,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,     3,   215,   216,   200,   201,   202,   370,   371,   372,
       0,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,   217,     4,   208,    50,    72,    73,    74,    75,    76,
      77,    78,    79,    83,    84,   115,   116,   117,   139,   140,
     141,   185,   186,   187,   188,   204,   205,   367,   371,   367,
     198,   368,   367,   210,   364,   364,   367,   368,   368,   372,
      49,   108,   109,   110,   111,   112,   219,   372,   370,   367,
     368,   199,   369,   367,   367,   367,   372,   367,   367,   367,
     367,   367,   367,   367,   367,   367,   367,   367,   367,   367,
     367,   367,   367,   367,   367,   367,    45,    46,   220,   226,
     218,   371,   371,    80,    81,    82,   365,   366,   208,   208,
     209,   217,   211,   366,   221,   227,   222,   228,   105,   223,
     225,   226,    47,    48,    51,    90,    91,    93,    95,   106,
     173,   209,   229,   232,   233,   235,   264,   268,   278,   289,
     208,   209,   226,   208,   208,   208,   208,   208,   208,   208,
     368,   372,   224,   236,   234,   230,   265,   269,   279,   290,
     241,   237,   237,   129,   137,   209,   231,   266,   270,   280,
     291,   107,   120,   121,   125,   126,   162,   209,   242,    49,
      51,   105,   106,   119,   209,   238,   239,   245,   209,   370,
     367,   106,   129,   130,   131,   132,   133,   134,   135,   136,
     209,   267,    92,   106,   209,   271,   272,    91,    94,   106,
     164,   168,   174,   209,   281,   282,   308,   313,   343,    51,
      89,    96,    97,    98,    99,   100,   101,   102,   103,   106,
     127,   128,   142,   152,   157,   158,   159,   160,   161,   177,
     178,   179,   180,   195,   209,   289,   292,   308,   313,   317,
     321,   322,   324,   325,   327,   329,   330,   331,   343,   347,
     349,   355,   357,   219,   368,   368,   372,   368,   372,   208,
     208,   208,   368,   368,   368,   370,   210,   210,   210,   370,
     367,   367,   368,   208,   368,    73,   368,   372,   208,   368,
     208,   208,   208,   208,   212,   296,   368,   208,   208,   208,
     208,   208,   208,   208,   208,   368,   210,   210,   210,   210,
     363,   210,   372,   372,   210,   210,   208,   208,   208,   208,
     210,   246,   243,   240,   370,   370,   370,   273,   283,   309,
     314,   344,   361,   297,   318,   323,   209,   326,   328,   209,
     209,   332,   293,   294,   295,   370,   370,   372,   372,   348,
     350,   356,   358,   370,   247,    56,    61,   122,   123,   124,
     138,   209,   244,   241,   370,   370,   370,   274,   284,   310,
     315,   345,   181,   182,   183,   184,   209,   362,   298,    87,
     104,   189,   191,   193,   194,   209,   319,   333,   335,   338,
     341,   300,   302,   304,   370,   370,   372,   372,   351,   351,
     359,   359,   370,    50,    51,   106,   125,   152,   163,   209,
     248,   251,   367,   367,   368,   369,   367,   367,   209,   370,
     370,   370,    90,   106,   152,   189,   206,   209,   275,   308,
     313,    89,   106,   128,   152,   209,   285,   308,   313,   343,
     107,   165,   166,   167,   209,   311,   169,   170,   171,   172,
     209,   316,   106,   175,   176,   209,   346,   367,   364,   364,
     367,    91,    92,    93,    94,   213,   299,   370,   370,    83,
      84,    85,    86,    88,   190,   192,   320,   370,   210,   370,
     210,   370,    87,   104,   209,   334,   104,   189,   191,   193,
     194,   209,   336,   104,   189,   193,   194,   209,   339,   106,
     203,   209,   342,   143,   144,   145,   146,   211,   301,   149,
     150,   151,   211,   303,   147,   148,   211,   305,   370,   211,
     372,   211,   106,   107,   142,   152,   195,   209,   352,   209,
     106,   203,   209,   360,   209,   211,   208,   208,   368,   372,
     363,   372,   211,   211,   211,   368,   372,   368,   363,   276,
     368,   368,   368,   210,   363,   115,   118,   312,   210,   210,
     210,   210,   370,   210,   210,   368,   367,   367,   368,   372,
     368,   372,   368,   372,   368,   372,   372,   372,   370,   370,
     370,    83,    84,   190,   192,   337,   370,   210,   370,   210,
     370,   370,    83,    84,   190,   192,   340,   210,   370,   210,
     370,   368,   210,   370,   372,   368,   113,   114,   354,   210,
     363,   210,   368,   210,   252,   249,   196,   197,   277,   286,
     370,   370,   370,   370,   370,   370,   372,   372,   372,   372,
     372,   372,   372,   211,   211,   353,   370,   372,   253,    60,
      61,    62,   209,   250,   287,   370,   370,   370,   370,   370,
     370,   211,   211,   372,   372,   372,   372,   372,   304,   370,
     372,    51,    89,   106,   152,   209,   254,   257,   367,   367,
     367,   149,   150,   151,   211,   288,   370,   370,   370,   370,
     211,   370,   211,   211,   211,   211,   211,   211,   211,   211,
     208,   208,   368,   363,   211,   211,   211,   211,   211,   255,
     258,    52,    53,    54,    55,    56,    58,    59,    63,    64,
      65,    66,    67,    68,    69,    70,    71,   209,   256,   259,
     367,   367,   367,   367,   367,   367,   367,   367,   367,   367,
     367,   367,   367,   367,   367,   367,    51,   106,   152,   153,
     209,   260,   208,   368,   363,   210,   262,   261,    56,    57,
     207,   209,   263,   306,   367,   367,   368,   154,   155,   156,
     211,   307
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))

/* Error token number */
#define YYTERROR	1
#define YYERRCODE	256


/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */
#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
#endif
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
        break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yyrule)
    YYSTYPE *yyvsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULL, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULL;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - Assume YYFAIL is not used.  It's too flawed to consider.  See
       <http://lists.gnu.org/archive/html/bison-patches/2009-12/msg00024.html>
       for details.  YYERROR is fine as it does not invoke this
       function.
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULL, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
#else
static void
yydestruct (yymsg, yytype, yyvaluep)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  YYUSE (yyvaluep);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
        break;
    }
}




/* The lookahead symbol.  */
int yychar;


#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval YY_INITIAL_VALUE(yyval_default);

/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yystacksize);

	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 5:

    {
        eq::server::Global::instance()->setConfigFAttribute(
            eq::server::Config::FATTR_VERSION, (yyvsp[(2) - (3)]._float) );
    }
    break;

  case 10:

    {
         eq::server::Global::instance()->setConnectionSAttribute(
             eq::server::ConnectionDescription::SATTR_HOSTNAME, (yyvsp[(2) - (2)]._string) );
     }
    break;

  case 11:

    {
         eq::server::Global::instance()->setConnectionIAttribute(
             eq::server::ConnectionDescription::IATTR_TYPE, (yyvsp[(2) - (2)]._connectionType) );
     }
    break;

  case 12:

    {
         eq::server::Global::instance()->setConnectionIAttribute(
             eq::server::ConnectionDescription::IATTR_PORT, (yyvsp[(2) - (2)]._unsigned) );
     }
    break;

  case 13:

    {
         eq::server::Global::instance()->setConnectionSAttribute(
             eq::server::ConnectionDescription::SATTR_FILENAME, (yyvsp[(2) - (2)]._string) );
     }
    break;

  case 14:

    {
         eq::server::Global::instance()->setConnectionIAttribute(
             eq::server::ConnectionDescription::IATTR_BANDWIDTH, (yyvsp[(2) - (2)]._unsigned) );
     }
    break;

  case 15:

    {
         eq::server::Global::instance()->setConfigFAttribute(
             eq::server::Config::FATTR_EYE_BASE, (yyvsp[(2) - (2)]._float) );
     }
    break;

  case 16:

    {
         eq::server::Global::instance()->setConfigIAttribute(
             eq::server::Config::IATTR_ROBUSTNESS, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 17:

    {
         eq::server::Global::instance()->setNodeSAttribute(
             eq::server::Node::SATTR_LAUNCH_COMMAND, (yyvsp[(2) - (2)]._string) );
     }
    break;

  case 18:

    {
         eq::server::Global::instance()->setNodeCAttribute(
             eq::server::Node::CATTR_LAUNCH_COMMAND_QUOTE, (yyvsp[(2) - (2)]._character) );
     }
    break;

  case 19:

    {
         eq::server::Global::instance()->setNodeIAttribute(
             eq::server::Node::IATTR_THREAD_MODEL, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 20:

    {
         eq::server::Global::instance()->setNodeIAttribute(
             eq::server::Node::IATTR_HINT_AFFINITY, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 21:

    {
         eq::server::Global::instance()->setNodeIAttribute(
             eq::server::Node::IATTR_LAUNCH_TIMEOUT, (yyvsp[(2) - (2)]._unsigned) );
     }
    break;

  case 22:

    {
         LBWARN << "Ignoring deprecated attribute Node::IATTR_HINT_STATISTICS"
                << std::endl;
     }
    break;

  case 23:

    {
         eq::server::Global::instance()->setPipeIAttribute(
             eq::server::Pipe::IATTR_HINT_THREAD, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 24:

    {
         eq::server::Global::instance()->setPipeIAttribute(
             eq::server::Pipe::IATTR_HINT_AFFINITY, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 25:

    {
         eq::server::Global::instance()->setPipeIAttribute(
             eq::server::Pipe::IATTR_HINT_CUDA_GL_INTEROP, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 26:

    {
         eq::server::Global::instance()->setWindowIAttribute(
             eq::server::WindowSettings::IATTR_HINT_STEREO, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 27:

    {
         eq::server::Global::instance()->setWindowIAttribute(
             eq::server::WindowSettings::IATTR_HINT_DOUBLEBUFFER, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 28:

    {
         eq::server::Global::instance()->setWindowIAttribute(
             eq::server::WindowSettings::IATTR_HINT_FULLSCREEN, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 29:

    {
         eq::server::Global::instance()->setWindowIAttribute(
             eq::server::WindowSettings::IATTR_HINT_DECORATION, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 30:

    {
         eq::server::Global::instance()->setWindowIAttribute(
             eq::server::WindowSettings::IATTR_HINT_SWAPSYNC, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 31:

    {
         eq::server::Global::instance()->setWindowIAttribute(
             eq::server::WindowSettings::IATTR_HINT_DRAWABLE, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 32:

    {
         eq::server::Global::instance()->setWindowIAttribute(
             eq::server::WindowSettings::IATTR_HINT_STATISTICS, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 33:

    {
         eq::server::Global::instance()->setWindowIAttribute(
             eq::server::WindowSettings::IATTR_HINT_SCREENSAVER, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 34:

    {
         eq::server::Global::instance()->setWindowIAttribute(
             eq::server::WindowSettings::IATTR_HINT_GRAB_POINTER, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 35:

    {
         eq::server::Global::instance()->setWindowIAttribute(
             eq::server::WindowSettings::IATTR_PLANES_COLOR, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 36:

    {
         eq::server::Global::instance()->setWindowIAttribute(
             eq::server::WindowSettings::IATTR_PLANES_ALPHA, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 37:

    {
         eq::server::Global::instance()->setWindowIAttribute(
             eq::server::WindowSettings::IATTR_PLANES_DEPTH, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 38:

    {
         eq::server::Global::instance()->setWindowIAttribute(
             eq::server::WindowSettings::IATTR_PLANES_STENCIL, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 39:

    {
         eq::server::Global::instance()->setWindowIAttribute(
             eq::server::WindowSettings::IATTR_PLANES_ACCUM, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 40:

    {
         eq::server::Global::instance()->setWindowIAttribute(
             eq::server::WindowSettings::IATTR_PLANES_ACCUM_ALPHA, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 41:

    {
         eq::server::Global::instance()->setWindowIAttribute(
             eq::server::WindowSettings::IATTR_PLANES_SAMPLES, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 42:

    {
         eq::server::Global::instance()->setChannelIAttribute(
             eq::server::Channel::IATTR_HINT_STATISTICS, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 43:

    {
         eq::server::Global::instance()->setChannelIAttribute(
             eq::server::Channel::IATTR_HINT_SENDTOKEN, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 44:

    {
         eq::server::Global::instance()->setCompoundIAttribute(
             eq::server::Compound::IATTR_STEREO_MODE, (yyvsp[(2) - (2)]._int) );
     }
    break;

  case 45:

    {
         eq::server::Global::instance()->setCompoundIAttribute(
             eq::server::Compound::IATTR_STEREO_ANAGLYPH_LEFT_MASK, (yyvsp[(2) - (2)]._unsigned) );
     }
    break;

  case 46:

    {
         eq::server::Global::instance()->setCompoundIAttribute(
             eq::server::Compound::IATTR_STEREO_ANAGLYPH_RIGHT_MASK, (yyvsp[(2) - (2)]._unsigned) );
     }
    break;

  case 47:

    {
         LBWARN << "ignoring removed attribute EQ_COMPOUND_IATTR_UPDATE_FOV"
                << std::endl;
     }
    break;

  case 48:

    {
        eq::server::Global::instance()->setChannelSAttribute(
            eq::server::Channel::SATTR_DUMP_IMAGE, (yyvsp[(2) - (2)]._string) );
     }
    break;

  case 49:

    { (yyval._connectionType) = co::CONNECTIONTYPE_TCPIP; }
    break;

  case 50:

    { (yyval._connectionType) = co::CONNECTIONTYPE_SDP; }
    break;

  case 51:

    { (yyval._connectionType) = co::CONNECTIONTYPE_NAMEDPIPE; }
    break;

  case 52:

    { (yyval._connectionType) = co::CONNECTIONTYPE_RSP; }
    break;

  case 53:

    { (yyval._connectionType) = co::CONNECTIONTYPE_RDMA; }
    break;

  case 54:

    { (yyval._connectionType) = co::CONNECTIONTYPE_UDT; }
    break;

  case 55:

    { server = new eq::server::Server(); }
    break;

  case 59:

    {
                connectionDescription = new eq::server::ConnectionDescription;
                connectionDescription->setHostname( "" );
                connectionDescription->port = EQ_DEFAULT_PORT;
            }
    break;

  case 60:

    {
                server->addConnectionDescription( connectionDescription.get( ));
                connectionDescription = 0;
            }
    break;

  case 63:

    {
                config = new eq::server::Config( server );
                config->setName( filename );
                node = new eq::server::Node( config );
                node->setApplicationNode( true );
            }
    break;

  case 64:

    { config = 0; }
    break;

  case 68:

    { config->setName( (yyvsp[(2) - (2)]._string) ); }
    break;

  case 73:

    { config->setLatency( (yyvsp[(2) - (2)]._unsigned) ); }
    break;

  case 77:

    { config->setFAttribute(
                             eq::server::Config::FATTR_EYE_BASE, (yyvsp[(2) - (2)]._float) ); }
    break;

  case 78:

    { config->setIAttribute(
                                 eq::server::Config::IATTR_ROBUSTNESS, (yyvsp[(2) - (2)]._int) ); }
    break;

  case 81:

    {
                                 node = new eq::server::Node( config );
                             }
    break;

  case 82:

    { node = 0; }
    break;

  case 83:

    {
                node = config->findApplicationNode();
                LBASSERT( node );
            }
    break;

  case 84:

    { node = 0; }
    break;

  case 87:

    { node->setName( (yyvsp[(2) - (2)]._string) ); }
    break;

  case 88:

    { node->setHost( (yyvsp[(2) - (2)]._string) ); }
    break;

  case 92:

    { connectionDescription = new eq::server::ConnectionDescription; }
    break;

  case 93:

    {
                 node->addConnectionDescription( connectionDescription );
                 connectionDescription = 0;
             }
    break;

  case 96:

    { connectionDescription->type = (yyvsp[(2) - (2)]._connectionType); }
    break;

  case 97:

    { connectionDescription->setHostname((yyvsp[(2) - (2)]._string)); }
    break;

  case 98:

    { connectionDescription->setInterface((yyvsp[(2) - (2)]._string)); }
    break;

  case 99:

    { connectionDescription->port = (yyvsp[(2) - (2)]._unsigned); }
    break;

  case 100:

    { connectionDescription->bandwidth = (yyvsp[(2) - (2)]._unsigned); }
    break;

  case 101:

    { connectionDescription->setFilename((yyvsp[(2) - (2)]._string)); }
    break;

  case 104:

    { node->setSAttribute( eq::server::Node::SATTR_LAUNCH_COMMAND, (yyvsp[(2) - (2)]._string) ); }
    break;

  case 105:

    { node->setCAttribute( eq::server::Node::CATTR_LAUNCH_COMMAND_QUOTE,
                               (yyvsp[(2) - (2)]._character) ); }
    break;

  case 106:

    { node->setIAttribute( eq::server::Node::IATTR_THREAD_MODEL, (yyvsp[(2) - (2)]._int) ); }
    break;

  case 107:

    { node->setIAttribute( eq::server::Node::IATTR_LAUNCH_TIMEOUT, (yyvsp[(2) - (2)]._int) ); }
    break;

  case 108:

    {
            LBWARN
                << "Ignoring deprecated attribute Node::IATTR_HINT_STATISTICS"
                << std::endl;
        }
    break;

  case 109:

    { node->setIAttribute( eq::server::Node::IATTR_HINT_AFFINITY, (yyvsp[(2) - (2)]._int) ); }
    break;

  case 110:

    {
                eqPipe = new eq::server::Pipe( node );
            }
    break;

  case 111:

    { eqPipe = 0; }
    break;

  case 116:

    { eqPipe->setName( (yyvsp[(2) - (2)]._string) ); }
    break;

  case 117:

    { eqPipe->setPort( (yyvsp[(2) - (2)]._unsigned) ); }
    break;

  case 118:

    { eqPipe->setDevice( (yyvsp[(2) - (2)]._unsigned) ); }
    break;

  case 119:

    {
            eqPipe->setPixelViewport( eq::PixelViewport( (int)(yyvsp[(2) - (2)]._viewport)[0], (int)(yyvsp[(2) - (2)]._viewport)[1],
                                                      (int)(yyvsp[(2) - (2)]._viewport)[2], (int)(yyvsp[(2) - (2)]._viewport)[3] ));
        }
    break;

  case 122:

    { eqPipe->setIAttribute( eq::server::Pipe::IATTR_HINT_THREAD, (yyvsp[(2) - (2)]._int) ); }
    break;

  case 123:

    { eqPipe->setIAttribute( eq::server::Pipe::IATTR_HINT_AFFINITY, (yyvsp[(2) - (2)]._int)); }
    break;

  case 124:

    { eqPipe->setIAttribute( eq::server::Pipe::IATTR_HINT_CUDA_GL_INTEROP,
                                 (yyvsp[(2) - (2)]._int) ); }
    break;

  case 125:

    {
                window = new eq::server::Window( eqPipe );
                window->init(); // not in ctor, virtual method
            }
    break;

  case 126:

    { window = 0; }
    break;

  case 131:

    { window->setName( (yyvsp[(2) - (2)]._string) ); }
    break;

  case 132:

    {
            if( (yyvsp[(2) - (2)]._viewport)[2] > 1 || (yyvsp[(2) - (2)]._viewport)[3] > 1 )
                window->setPixelViewport( eq::PixelViewport( (int)(yyvsp[(2) - (2)]._viewport)[0],
                                          (int)(yyvsp[(2) - (2)]._viewport)[1], (int)(yyvsp[(2) - (2)]._viewport)[2], (int)(yyvsp[(2) - (2)]._viewport)[3] ));
            else
                window->setViewport( eq::Viewport((yyvsp[(2) - (2)]._viewport)[0], (yyvsp[(2) - (2)]._viewport)[1], (yyvsp[(2) - (2)]._viewport)[2], (yyvsp[(2) - (2)]._viewport)[3]));
        }
    break;

  case 135:

    { window->setIAttribute( eq::server::WindowSettings::IATTR_HINT_STEREO, (yyvsp[(2) - (2)]._int) ); }
    break;

  case 136:

    { window->setIAttribute( eq::server::WindowSettings::IATTR_HINT_DOUBLEBUFFER, (yyvsp[(2) - (2)]._int) ); }
    break;

  case 137:

    { window->setIAttribute( eq::server::WindowSettings::IATTR_HINT_FULLSCREEN, (yyvsp[(2) - (2)]._int) ); }
    break;

  case 138:

    { window->setIAttribute( eq::server::WindowSettings::IATTR_HINT_DECORATION, (yyvsp[(2) - (2)]._int) ); }
    break;

  case 139:

    { window->setIAttribute( eq::server::WindowSettings::IATTR_HINT_SWAPSYNC, (yyvsp[(2) - (2)]._int) ); }
    break;

  case 140:

    { window->setIAttribute( eq::server::WindowSettings::IATTR_HINT_DRAWABLE, (yyvsp[(2) - (2)]._int) ); }
    break;

  case 141:

    { window->setIAttribute( eq::server::WindowSettings::IATTR_HINT_STATISTICS, (yyvsp[(2) - (2)]._int) ); }
    break;

  case 142:

    { window->setIAttribute( eq::server::WindowSettings::IATTR_HINT_SCREENSAVER, (yyvsp[(2) - (2)]._int) ); }
    break;

  case 143:

    { window->setIAttribute( eq::server::WindowSettings::IATTR_HINT_GRAB_POINTER, (yyvsp[(2) - (2)]._int) ); }
    break;

  case 144:

    { window->setIAttribute( eq::server::WindowSettings::IATTR_PLANES_COLOR, (yyvsp[(2) - (2)]._int) ); }
    break;

  case 145:

    { window->setIAttribute( eq::server::WindowSettings::IATTR_PLANES_ALPHA, (yyvsp[(2) - (2)]._int) ); }
    break;

  case 146:

    { window->setIAttribute( eq::server::WindowSettings::IATTR_PLANES_DEPTH, (yyvsp[(2) - (2)]._int) ); }
    break;

  case 147:

    { window->setIAttribute( eq::server::WindowSettings::IATTR_PLANES_STENCIL, (yyvsp[(2) - (2)]._int) ); }
    break;

  case 148:

    { window->setIAttribute( eq::server::WindowSettings::IATTR_PLANES_ACCUM, (yyvsp[(2) - (2)]._int) ); }
    break;

  case 149:

    { window->setIAttribute( eq::server::WindowSettings::IATTR_PLANES_ACCUM_ALPHA, (yyvsp[(2) - (2)]._int) ); }
    break;

  case 150:

    { window->setIAttribute( eq::server::WindowSettings::IATTR_PLANES_SAMPLES, (yyvsp[(2) - (2)]._int) ); }
    break;

  case 151:

    {
                channel = new eq::server::Channel( window );
                channel->init(); // not in ctor, virtual method
            }
    break;

  case 152:

    { channel = 0; }
    break;

  case 155:

    { channel->setName( (yyvsp[(2) - (2)]._string) ); }
    break;

  case 157:

    {
            if( (yyvsp[(2) - (2)]._viewport)[2] > 1 || (yyvsp[(2) - (2)]._viewport)[3] > 1 )
                channel->setPixelViewport( eq::PixelViewport( (int)(yyvsp[(2) - (2)]._viewport)[0],
                                          (int)(yyvsp[(2) - (2)]._viewport)[1], (int)(yyvsp[(2) - (2)]._viewport)[2], (int)(yyvsp[(2) - (2)]._viewport)[3] ));
            else
                channel->setViewport(eq::Viewport( (yyvsp[(2) - (2)]._viewport)[0], (yyvsp[(2) - (2)]._viewport)[1], (yyvsp[(2) - (2)]._viewport)[2], (yyvsp[(2) - (2)]._viewport)[3]));
        }
    break;

  case 158:

    { flags = eq::server::Channel::FB_WINDOW; }
    break;

  case 159:

    { channel->setDrawable( flags ); flags = 0; }
    break;

  case 162:

    { channel->setIAttribute( eq::server::Channel::IATTR_HINT_STATISTICS,
                                  (yyvsp[(2) - (2)]._int) ); }
    break;

  case 163:

    { channel->setIAttribute( eq::server::Channel::IATTR_HINT_SENDTOKEN,
                                  (yyvsp[(2) - (2)]._int) ); }
    break;

  case 164:

    { channel->setSAttribute( eq::server::Channel::SATTR_DUMP_IMAGE,
                                  (yyvsp[(2) - (2)]._string) ); }
    break;

  case 165:

    { observer = new eq::server::Observer( config );}
    break;

  case 166:

    { observer = 0; }
    break;

  case 169:

    { observer->setName( (yyvsp[(2) - (2)]._string) ); }
    break;

  case 170:

    {
        const float eyeBase_2 = (yyvsp[(2) - (2)]._float) * .5f;
        observer->setEyePosition( eq::fabric::EYE_LEFT,
                                  eq::fabric::Vector3f( -eyeBase_2, 0.f, 0.f ));
        observer->setEyePosition( eq::fabric::EYE_CYCLOP,
                                  eq::fabric::Vector3f::ZERO );
        observer->setEyePosition( eq::fabric::EYE_RIGHT,
                                  eq::fabric::Vector3f( eyeBase_2, 0.f, 0.f ));
    }
    break;

  case 171:

    {
        observer->setEyePosition( eq::fabric::EYE_LEFT,
                                  eq::fabric::Vector3f( (yyvsp[(3) - (6)]._float), (yyvsp[(4) - (6)]._float), (yyvsp[(5) - (6)]._float) ));
    }
    break;

  case 172:

    {
        observer->setEyePosition( eq::fabric::EYE_CYCLOP,
                                  eq::fabric::Vector3f( (yyvsp[(3) - (6)]._float), (yyvsp[(4) - (6)]._float), (yyvsp[(5) - (6)]._float) ));
    }
    break;

  case 173:

    {
        observer->setEyePosition( eq::fabric::EYE_RIGHT,
                                  eq::fabric::Vector3f( (yyvsp[(3) - (6)]._float), (yyvsp[(4) - (6)]._float), (yyvsp[(5) - (6)]._float) ));
    }
    break;

  case 174:

    { observer->setFocusDistance( (yyvsp[(2) - (2)]._float) ); }
    break;

  case 175:

    { observer->setFocusMode( eq::fabric::FocusMode( (yyvsp[(2) - (2)]._int) )); }
    break;

  case 176:

    { observer->setOpenCVCamera( (yyvsp[(2) - (2)]._int) ); }
    break;

  case 177:

    { observer->setVRPNTracker( (yyvsp[(2) - (2)]._string) ); }
    break;

  case 178:

    { layout = new eq::server::Layout( config ); }
    break;

  case 179:

    { layout = 0; }
    break;

  case 182:

    { layout->setName( (yyvsp[(2) - (2)]._string) ); }
    break;

  case 184:

    { view = new eq::server::View( layout ); }
    break;

  case 185:

    { view = 0; }
    break;

  case 188:

    { view->setName( (yyvsp[(2) - (2)]._string) ); }
    break;

  case 189:

    { view->setDisplayCluster( (yyvsp[(2) - (2)]._string) ); }
    break;

  case 190:

    { view->changeMode( eq::server::View::MODE_MONO ); }
    break;

  case 192:

    { view->setViewport( eq::Viewport( (yyvsp[(2) - (2)]._viewport)[0], (yyvsp[(2) - (2)]._viewport)[1], (yyvsp[(2) - (2)]._viewport)[2], (yyvsp[(2) - (2)]._viewport)[3] ));}
    break;

  case 193:

    { view->setWall( wall ); }
    break;

  case 194:

    { view->setProjection( projection ); }
    break;

  case 195:

    {
          eq::server::Observer* ob = config->find< eq::server::Observer >( (yyvsp[(2) - (2)]._string) );
          if( ob )
              view->setObserver( ob );
          else
          {
              yyerror( "No observer of the given name" );
              YYERROR;
          }
      }
    break;

  case 196:

    {
          const eq::server::ObserverPath path( (yyvsp[(2) - (2)]._unsigned) );
          eq::server::Observer* ob = config->getObserver( path );
          if( ob )
              view->setObserver( ob );
          else
          {
              yyerror( "No observer of the given index" );
              YYERROR;
          }
      }
    break;

  case 197:

    { view->changeMode( eq::server::View::MODE_MONO ); }
    break;

  case 198:

    { view->changeMode( eq::server::View::MODE_STEREO ); }
    break;

  case 199:

    { canvas = new eq::server::Canvas( config ); }
    break;

  case 200:

    { config->activateCanvas( canvas ); canvas = 0; }
    break;

  case 203:

    { canvas->setName( (yyvsp[(2) - (2)]._string) ); }
    break;

  case 204:

    {
          eq::server::Layout* l = config->find< eq::server::Layout >( (yyvsp[(2) - (2)]._string) );
          if( l )
              canvas->addLayout( l );
          else
          {
              yyerror( "No layout of the given name" );
              YYERROR;
          }
      }
    break;

  case 205:

    { canvas->setSwapBarrier( swapBarrier ); swapBarrier = 0; }
    break;

  case 206:

    {
          const eq::server::LayoutPath path( (yyvsp[(2) - (2)]._unsigned) );
          eq::server::Layout* l = config->getLayout( path );
          if( l )
              canvas->addLayout( l );
          else
          {
              yyerror( "No layout of the given index" );
              YYERROR;
          }
      }
    break;

  case 207:

    {
          canvas->addLayout( 0 );
      }
    break;

  case 208:

    { canvas->setWall( wall ); }
    break;

  case 209:

    { canvas->setProjection( projection ); }
    break;

  case 211:

    { segment = new eq::server::Segment( canvas ); }
    break;

  case 215:

    { segment->setName( (yyvsp[(2) - (2)]._string) ); }
    break;

  case 216:

    {
            eq::server::Channel* ch = config->find< eq::server::Channel >( (yyvsp[(2) - (2)]._string) );
            if( ch )
                segment->setChannel( ch );
            else
            {
                yyerror( "No channel of the given name" );
                YYERROR;
            }
        }
    break;

  case 217:

    { segment->setEyes( eq::fabric::EYE_UNDEFINED );}
    break;

  case 219:

    { segment->setViewport( eq::Viewport( (yyvsp[(2) - (2)]._viewport)[0], (yyvsp[(2) - (2)]._viewport)[1], (yyvsp[(2) - (2)]._viewport)[2], (yyvsp[(2) - (2)]._viewport)[3] ));}
    break;

  case 220:

    { segment->setSwapBarrier( swapBarrier ); swapBarrier = 0; }
    break;

  case 221:

    { segment->setWall( wall ); }
    break;

  case 222:

    { segment->setProjection( projection ); }
    break;

  case 225:

    { segment->enableEye( eq::fabric::EYE_CYCLOP ); }
    break;

  case 226:

    { segment->enableEye( eq::fabric::EYE_LEFT ); }
    break;

  case 227:

    { segment->enableEye( eq::fabric::EYE_RIGHT ); }
    break;

  case 228:

    {
                  if( eqCompound )
                      eqCompound = new eq::server::Compound( eqCompound );
                  else
                      eqCompound = new eq::server::Compound( config );
              }
    break;

  case 229:

    { eqCompound = eqCompound->getParent(); }
    break;

  case 233:

    { eqCompound->setName( (yyvsp[(2) - (2)]._string) ); }
    break;

  case 234:

    {
          eq::server::Channel* ch = config->find< eq::server::Channel >( (yyvsp[(2) - (2)]._string) );
          if( ch )
              eqCompound->setChannel( ch );
          else
          {
              yyerror( "No channel of the given name" );
              YYERROR;
          }
      }
    break;

  case 235:

    {
          if( !segment || !view )
          {
              yyerror( "Incomplete channel reference (view or segment missing)" );
              YYERROR;
          }
          else
          {
              eq::server::Channel* ch = config->findChannel( segment, view );
              if( ch )
                  eqCompound->setChannel( ch );
              else
              {
                  yyerror( "No channel for the given view and segment" );
                  YYERROR;
              }
          }

          canvas = 0;
          segment = 0;
          layout = 0;
          view = 0;
      }
    break;

  case 236:

    { eqCompound->setTasks( eq::fabric::TASK_NONE ); }
    break;

  case 238:

    { eqCompound->setEyes( eq::fabric::EYE_UNDEFINED );}
    break;

  case 240:

    { flags = eq::fabric::Frame::BUFFER_NONE; }
    break;

  case 241:

    { eqCompound->setBuffers( flags ); flags = 0; }
    break;

  case 242:

    { eqCompound->setViewport( eq::Viewport( (yyvsp[(2) - (2)]._viewport)[0], (yyvsp[(2) - (2)]._viewport)[1], (yyvsp[(2) - (2)]._viewport)[2], (yyvsp[(2) - (2)]._viewport)[3] ));}
    break;

  case 243:

    { eqCompound->setRange( eq::Range( (yyvsp[(3) - (5)]._float), (yyvsp[(4) - (5)]._float) )); }
    break;

  case 244:

    { eqCompound->setPeriod( (yyvsp[(2) - (2)]._unsigned) ); }
    break;

  case 245:

    { eqCompound->setPhase( (yyvsp[(2) - (2)]._unsigned) ); }
    break;

  case 246:

    { eqCompound->setZoom( eq::Zoom( (yyvsp[(3) - (5)]._float), (yyvsp[(4) - (5)]._float) )); }
    break;

  case 247:

    { eqCompound->setPixel( eq::Pixel( (yyvsp[(3) - (7)]._unsigned), (yyvsp[(4) - (7)]._unsigned), (yyvsp[(5) - (7)]._unsigned), (yyvsp[(6) - (7)]._unsigned) )); }
    break;

  case 248:

    { eqCompound->setSubPixel( eq::SubPixel( (yyvsp[(3) - (5)]._unsigned), (yyvsp[(4) - (5)]._unsigned) )); }
    break;

  case 249:

    { eqCompound->setWall( wall ); }
    break;

  case 250:

    { eqCompound->setProjection( projection ); }
    break;

  case 253:

    { eqCompound->setSwapBarrier(swapBarrier); swapBarrier = 0; }
    break;

  case 259:

    {
            canvas = 0;
            segment = config->getSegment( eq::server::SegmentPath( 0 ));
            layout = 0;
            view = config->getView( eq::server::ViewPath( 0 ));;
        }
    break;

  case 263:

    {
            canvas = config->find< eq::server::Canvas >( (yyvsp[(2) - (2)]._string) );
            if( !canvas )
            {
                yyerror( "Can't find canvas" );
                YYERROR;
            }
            segment = canvas->getSegment( eq::server::SegmentPath( 0 ));
        }
    break;

  case 264:

    {
            canvas = config->getCanvas( eq::server::CanvasPath( (yyvsp[(2) - (2)]._unsigned) ));
            if( !canvas )
            {
                yyerror( "Can't find canvas" );
                YYERROR;
            }
            segment = canvas->getSegment( eq::server::SegmentPath( 0 ));
        }
    break;

  case 265:

    {
            if( canvas )
                segment = canvas->findSegment( (yyvsp[(2) - (2)]._string) );
            else
                segment = config->find< eq::server::Segment >( (yyvsp[(2) - (2)]._string) );
        }
    break;

  case 266:

    {
            if( canvas )
                segment = canvas->getSegment( eq::server::SegmentPath( (yyvsp[(2) - (2)]._unsigned) ));
            else
                segment = config->getSegment( eq::server::SegmentPath( (yyvsp[(2) - (2)]._unsigned) ));
        }
    break;

  case 267:

    {
            layout = config->find< eq::server::Layout >( (yyvsp[(2) - (2)]._string) );
            if( !layout )
            {
                yyerror( "Can't find layout" );
                YYERROR;
            }
            view = layout->getView( eq::server::ViewPath( 0 ));;
        }
    break;

  case 268:

    {
            layout = config->getLayout( eq::server::LayoutPath( (yyvsp[(2) - (2)]._unsigned) ));
            if( !layout )
            {
                yyerror( "Can't find layout" );
                YYERROR;
            }
            view = layout->getView( eq::server::ViewPath( 0 ));;
        }
    break;

  case 269:

    {
            if( layout )
                view = layout->findView( (yyvsp[(2) - (2)]._string) );
            else
                view = config->find< eq::server::View >( (yyvsp[(2) - (2)]._string) );
        }
    break;

  case 270:

    {
            if( layout )
                view = layout->getView( eq::server::ViewPath( (yyvsp[(2) - (2)]._unsigned) ));
            else
                view = config->getView( eq::server::ViewPath( (yyvsp[(2) - (2)]._unsigned) ));
        }
    break;

  case 273:

    { eqCompound->enableTask( eq::fabric::TASK_CLEAR ); }
    break;

  case 274:

    { eqCompound->enableTask( eq::fabric::TASK_DRAW ); }
    break;

  case 275:

    { eqCompound->enableTask( eq::fabric::TASK_ASSEMBLE );}
    break;

  case 276:

    { eqCompound->enableTask( eq::fabric::TASK_READBACK );}
    break;

  case 279:

    { eqCompound->enableEye( eq::fabric::EYE_CYCLOP ); }
    break;

  case 280:

    { eqCompound->enableEye( eq::fabric::EYE_LEFT ); }
    break;

  case 281:

    { eqCompound->enableEye( eq::fabric::EYE_RIGHT ); }
    break;

  case 284:

    { flags |= eq::fabric::Frame::BUFFER_COLOR; }
    break;

  case 285:

    { flags |= eq::fabric::Frame::BUFFER_DEPTH; }
    break;

  case 288:

    { flags |= eq::server::Channel::FBO_COLOR; }
    break;

  case 289:

    { flags |= eq::server::Channel::FBO_DEPTH; }
    break;

  case 290:

    { flags |= eq::server::Channel::FBO_STENCIL; }
    break;

  case 291:

    { wall = eq::Wall(); }
    break;

  case 295:

    { wall.bottomLeft = eq::Vector3f( (yyvsp[(3) - (6)]._float), (yyvsp[(4) - (6)]._float), (yyvsp[(5) - (6)]._float) ); }
    break;

  case 296:

    { wall.bottomRight = eq::Vector3f( (yyvsp[(3) - (6)]._float), (yyvsp[(4) - (6)]._float), (yyvsp[(5) - (6)]._float) ); }
    break;

  case 297:

    { wall.topLeft = eq::Vector3f( (yyvsp[(3) - (6)]._float), (yyvsp[(4) - (6)]._float), (yyvsp[(5) - (6)]._float) ); }
    break;

  case 299:

    { wall.type = eq::Wall::TYPE_FIXED; }
    break;

  case 300:

    { wall.type = eq::Wall::TYPE_HMD; }
    break;

  case 301:

    { projection = eq::Projection(); }
    break;

  case 305:

    { projection.origin = eq::Vector3f( (yyvsp[(3) - (6)]._float), (yyvsp[(4) - (6)]._float), (yyvsp[(5) - (6)]._float) ); }
    break;

  case 306:

    { projection.distance = (yyvsp[(2) - (2)]._float); }
    break;

  case 307:

    { projection.fov = eq::Vector2f( (yyvsp[(3) - (5)]._float), (yyvsp[(4) - (5)]._float) ); }
    break;

  case 308:

    { projection.hpr = eq::Vector3f( (yyvsp[(3) - (6)]._float), (yyvsp[(4) - (6)]._float), (yyvsp[(5) - (6)]._float) ); }
    break;

  case 309:

    {
        LBWARN << "Deprecated loadBalancer specification, "
               << " use new ???_equalizer grammar" << std::endl;

        dfrEqualizer = 0;
        loadEqualizer = 0;
    }
    break;

  case 313:

    {
        if( loadEqualizer )
            loadEqualizer->setDamping( (yyvsp[(2) - (2)]._float) );
        else if( dfrEqualizer )
            dfrEqualizer->setDamping( (yyvsp[(2) - (2)]._float) );
    }
    break;

  case 314:

    { loadEqualizer->setAssembleOnlyLimit( (yyvsp[(2) - (2)]._float) ); }
    break;

  case 315:

    { dfrEqualizer->setFrameRate( (yyvsp[(2) - (2)]._float) ); }
    break;

  case 316:

    { loadEqualizer->setBoundary( eq::Vector2i( (yyvsp[(3) - (5)]._unsigned), (yyvsp[(4) - (5)]._unsigned) )); }
    break;

  case 317:

    { loadEqualizer->setBoundary( (yyvsp[(2) - (2)]._float) ); }
    break;

  case 318:

    { loadEqualizer->setResistance( eq::Vector2i( (yyvsp[(3) - (5)]._unsigned), (yyvsp[(4) - (5)]._unsigned) )); }
    break;

  case 319:

    { loadEqualizer->setResistance( (yyvsp[(2) - (2)]._float) ); }
    break;

  case 320:

    {
        loadEqualizer = new eq::server::LoadEqualizer;
        loadEqualizer->setMode( eq::server::LoadEqualizer::MODE_2D );
        eqCompound->addEqualizer( loadEqualizer );
    }
    break;

  case 321:

    {
        loadEqualizer = new eq::server::LoadEqualizer;
        loadEqualizer->setMode( eq::server::LoadEqualizer::MODE_DB );
        eqCompound->addEqualizer( loadEqualizer );
    }
    break;

  case 322:

    {
        loadEqualizer = new eq::server::LoadEqualizer;
        loadEqualizer->setMode( eq::server::LoadEqualizer::MODE_HORIZONTAL );
        eqCompound->addEqualizer( loadEqualizer );
    }
    break;

  case 323:

    {
        loadEqualizer = new eq::server::LoadEqualizer;
        loadEqualizer->setMode( eq::server::LoadEqualizer::MODE_VERTICAL );
        eqCompound->addEqualizer( loadEqualizer );
    }
    break;

  case 324:

    {
        eqCompound->addEqualizer( new eq::server::FramerateEqualizer );
    }
    break;

  case 325:

    {
        dfrEqualizer = new eq::server::DFREqualizer;
        eqCompound->addEqualizer( dfrEqualizer );
    }
    break;

  case 326:

    {
        eqCompound->addEqualizer( new eq::server::MonitorEqualizer );
    }
    break;

  case 334:

    { dfrEqualizer = new eq::server::DFREqualizer; }
    break;

  case 335:

    {
        eqCompound->addEqualizer( dfrEqualizer );
        dfrEqualizer = 0;
    }
    break;

  case 336:

    {
        eqCompound->addEqualizer( new eq::server::FramerateEqualizer );
    }
    break;

  case 337:

    { loadEqualizer = new eq::server::LoadEqualizer; }
    break;

  case 338:

    {
        eqCompound->addEqualizer( loadEqualizer );
        loadEqualizer = 0;
    }
    break;

  case 339:

    { treeEqualizer = new eq::server::TreeEqualizer; }
    break;

  case 340:

    {
        eqCompound->addEqualizer( treeEqualizer );
        treeEqualizer = 0;
    }
    break;

  case 341:

    {
        eqCompound->addEqualizer( new eq::server::MonitorEqualizer );
    }
    break;

  case 342:

    {
        eqCompound->addEqualizer( new eq::server::ViewEqualizer );
    }
    break;

  case 343:

    { tileEqualizer = new eq::server::TileEqualizer; }
    break;

  case 344:

    {
        eqCompound->addEqualizer( tileEqualizer );
        tileEqualizer = 0;
    }
    break;

  case 347:

    { dfrEqualizer->setDamping( (yyvsp[(2) - (2)]._float) ); }
    break;

  case 348:

    { dfrEqualizer->setFrameRate( (yyvsp[(2) - (2)]._float) ); }
    break;

  case 351:

    { loadEqualizer->setDamping( (yyvsp[(2) - (2)]._float) ); }
    break;

  case 352:

    { loadEqualizer->setBoundary( eq::Vector2i( (yyvsp[(3) - (5)]._unsigned), (yyvsp[(4) - (5)]._unsigned) )); }
    break;

  case 353:

    { loadEqualizer->setAssembleOnlyLimit( (yyvsp[(2) - (2)]._float) ); }
    break;

  case 354:

    { loadEqualizer->setBoundary( (yyvsp[(2) - (2)]._float) ); }
    break;

  case 355:

    { loadEqualizer->setMode( (yyvsp[(2) - (2)]._loadEqualizerMode) ); }
    break;

  case 356:

    { loadEqualizer->setResistance( eq::Vector2i( (yyvsp[(3) - (5)]._unsigned), (yyvsp[(4) - (5)]._unsigned) )); }
    break;

  case 357:

    { loadEqualizer->setResistance( (yyvsp[(2) - (2)]._float) ); }
    break;

  case 358:

    { (yyval._loadEqualizerMode) = eq::server::LoadEqualizer::MODE_2D; }
    break;

  case 359:

    { (yyval._loadEqualizerMode) = eq::server::LoadEqualizer::MODE_DB; }
    break;

  case 360:

    { (yyval._loadEqualizerMode) = eq::server::LoadEqualizer::MODE_HORIZONTAL; }
    break;

  case 361:

    { (yyval._loadEqualizerMode) = eq::server::LoadEqualizer::MODE_VERTICAL; }
    break;

  case 364:

    { treeEqualizer->setDamping( (yyvsp[(2) - (2)]._float) ); }
    break;

  case 365:

    { treeEqualizer->setBoundary( eq::Vector2i( (yyvsp[(3) - (5)]._unsigned), (yyvsp[(4) - (5)]._unsigned) )); }
    break;

  case 366:

    { treeEqualizer->setBoundary( (yyvsp[(2) - (2)]._float) ); }
    break;

  case 367:

    { treeEqualizer->setMode( (yyvsp[(2) - (2)]._treeEqualizerMode) ); }
    break;

  case 368:

    { treeEqualizer->setResistance( eq::Vector2i( (yyvsp[(3) - (5)]._unsigned), (yyvsp[(4) - (5)]._unsigned) )); }
    break;

  case 369:

    { treeEqualizer->setResistance( (yyvsp[(2) - (2)]._float) ); }
    break;

  case 370:

    { (yyval._treeEqualizerMode) = eq::server::TreeEqualizer::MODE_2D; }
    break;

  case 371:

    { (yyval._treeEqualizerMode) = eq::server::TreeEqualizer::MODE_DB; }
    break;

  case 372:

    { (yyval._treeEqualizerMode) = eq::server::TreeEqualizer::MODE_HORIZONTAL; }
    break;

  case 373:

    { (yyval._treeEqualizerMode) = eq::server::TreeEqualizer::MODE_VERTICAL; }
    break;

  case 376:

    { tileEqualizer->setName( (yyvsp[(2) - (2)]._string) ); }
    break;

  case 377:

    { tileEqualizer->setTileSize( eq::Vector2i( (yyvsp[(3) - (5)]._unsigned), (yyvsp[(4) - (5)]._unsigned) )); }
    break;

  case 378:

    { swapBarrier = new eq::server::SwapBarrier; }
    break;

  case 382:

    { swapBarrier->setName( (yyvsp[(2) - (2)]._string) ); }
    break;

  case 383:

    { swapBarrier->setNVSwapGroup( (yyvsp[(2) - (2)]._int) ); }
    break;

  case 384:

    { swapBarrier->setNVSwapBarrier( (yyvsp[(2) - (2)]._int) ); }
    break;

  case 385:

    { frame = new eq::server::Frame; }
    break;

  case 386:

    {
            eqCompound->addOutputFrame( frame );
            frame = 0;
        }
    break;

  case 387:

    { frame = new eq::server::Frame; }
    break;

  case 388:

    {
            eqCompound->addInputFrame( frame );
            frame = 0;
        }
    break;

  case 391:

    { frame->setName( (yyvsp[(2) - (2)]._string) ); }
    break;

  case 393:

    { frame->setViewport(eq::Viewport( (yyvsp[(2) - (2)]._viewport)[0], (yyvsp[(2) - (2)]._viewport)[1], (yyvsp[(2) - (2)]._viewport)[2], (yyvsp[(2) - (2)]._viewport)[3])); }
    break;

  case 394:

    { flags = eq::fabric::Frame::BUFFER_NONE; }
    break;

  case 395:

    { frame->setBuffers( flags ); flags = 0; }
    break;

  case 396:

    { frame->setNativeZoom( eq::Zoom( (yyvsp[(3) - (5)]._float), (yyvsp[(4) - (5)]._float) )); }
    break;

  case 397:

    { frame->setType( eq::fabric::Frame::TYPE_TEXTURE ); }
    break;

  case 398:

    { frame->setType( eq::fabric::Frame::TYPE_MEMORY ); }
    break;

  case 399:

    { tileQueue = new eq::server::TileQueue; }
    break;

  case 400:

    {
            eqCompound->addOutputTileQueue( tileQueue );
            tileQueue = 0;
        }
    break;

  case 401:

    { tileQueue = new eq::server::TileQueue; }
    break;

  case 402:

    {
            eqCompound->addInputTileQueue( tileQueue );
            tileQueue = 0;
        }
    break;

  case 405:

    { tileQueue->setName( (yyvsp[(2) - (2)]._string) ); }
    break;

  case 406:

    { tileQueue->setTileSize( eq::Vector2i( (yyvsp[(3) - (5)]._unsigned), (yyvsp[(4) - (5)]._unsigned) )); }
    break;

  case 409:

    { eqCompound->setIAttribute( eq::server::Compound::IATTR_STEREO_MODE, (yyvsp[(2) - (2)]._int) ); }
    break;

  case 410:

    { eqCompound->setIAttribute(
                eq::server::Compound::IATTR_STEREO_ANAGLYPH_LEFT_MASK, (yyvsp[(2) - (2)]._unsigned) ); }
    break;

  case 411:

    { eqCompound->setIAttribute(
                eq::server::Compound::IATTR_STEREO_ANAGLYPH_RIGHT_MASK, (yyvsp[(2) - (2)]._unsigned) ); }
    break;

  case 412:

    { LBWARN << "ignoring removed attribute update_FOV" << std::endl; }
    break;

  case 413:

    {
         (yyval._viewport)[0] = (yyvsp[(2) - (6)]._float);
         (yyval._viewport)[1] = (yyvsp[(3) - (6)]._float);
         (yyval._viewport)[2] = (yyvsp[(4) - (6)]._float);
         (yyval._viewport)[3] = (yyvsp[(5) - (6)]._float);
     }
    break;

  case 414:

    { (yyval._unsigned) = (yyvsp[(2) - (3)]._unsigned); }
    break;

  case 415:

    { (yyval._unsigned) =eq::server::Compound::COLOR_MASK_NONE; }
    break;

  case 416:

    { (yyval._unsigned) = (yyvsp[(1) - (1)]._unsigned); }
    break;

  case 417:

    { (yyval._unsigned) = ((yyvsp[(1) - (2)]._unsigned) | (yyvsp[(2) - (2)]._unsigned));}
    break;

  case 418:

    { (yyval._unsigned) = eq::server::Compound::COLOR_MASK_RED; }
    break;

  case 419:

    { (yyval._unsigned) = eq::server::Compound::COLOR_MASK_GREEN; }
    break;

  case 420:

    { (yyval._unsigned) = eq::server::Compound::COLOR_MASK_BLUE; }
    break;

  case 421:

    { (yyval._int) = eq::fabric::ON; }
    break;

  case 422:

    { (yyval._int) = eq::fabric::OFF; }
    break;

  case 423:

    { (yyval._int) = eq::fabric::AUTO; }
    break;

  case 424:

    { (yyval._int) = eq::fabric::FASTEST; }
    break;

  case 425:

    { (yyval._int) = eq::fabric::HORIZONTAL; }
    break;

  case 426:

    { (yyval._int) = eq::fabric::NICEST; }
    break;

  case 427:

    { (yyval._int) = eq::fabric::QUAD; }
    break;

  case 428:

    { (yyval._int) = eq::fabric::ANAGLYPH; }
    break;

  case 429:

    { (yyval._int) = eq::fabric::PASSIVE; }
    break;

  case 430:

    { (yyval._int) = eq::fabric::VERTICAL; }
    break;

  case 431:

    { (yyval._int) = eq::fabric::WINDOW; }
    break;

  case 432:

    { (yyval._int) = eq::fabric::FBO; }
    break;

  case 433:

    { (yyval._int) = eq::fabric::PBUFFER; }
    break;

  case 434:

    { (yyval._int) = eq::fabric::ASYNC; }
    break;

  case 435:

    { (yyval._int) = eq::fabric::DRAW_SYNC; }
    break;

  case 436:

    { (yyval._int) = eq::fabric::LOCAL_SYNC; }
    break;

  case 437:

    { (yyval._int) = eq::fabric::RGBA16F; }
    break;

  case 438:

    { (yyval._int) = eq::fabric::RGBA32F; }
    break;

  case 439:

    { (yyval._int) = eq::fabric::FIXED; }
    break;

  case 440:

    { (yyval._int) = eq::fabric::RELATIVE_TO_ORIGIN; }
    break;

  case 441:

    { (yyval._int) = eq::fabric::RELATIVE_TO_OBSERVER; }
    break;

  case 442:

    { (yyval._int) = (yyvsp[(1) - (1)]._int); }
    break;

  case 443:

    { (yyval._int) = eq::fabric::CORE + (yyvsp[(2) - (2)]._int); }
    break;

  case 444:

    { (yyval._int) = eq::fabric::SOCKET  + (yyvsp[(2) - (2)]._int); }
    break;

  case 445:

    {
         static std::string stringBuf;
         stringBuf = yytext;
         stringBuf.erase( 0, 1 );                  // Leading '"'
         stringBuf.erase( stringBuf.size()-1, 1 ); // Trailing '"'
         (yyval._string) = stringBuf.c_str();
     }
    break;

  case 446:

    { (yyval._character) = yytext[1]; }
    break;

  case 447:

    { (yyval._float) = atof( yytext ); }
    break;

  case 448:

    { (yyval._float) = (yyvsp[(1) - (1)]._int); }
    break;

  case 449:

    { (yyval._int) = atoi( yytext ); }
    break;

  case 450:

    { (yyval._int) = (yyvsp[(1) - (1)]._unsigned); }
    break;

  case 451:

    { (yyval._unsigned) = atoi( yytext ); }
    break;



      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;


      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}





namespace eq
{
namespace server
{

//---------------------------------------------------------------------------
// loader
//---------------------------------------------------------------------------
ServerPtr Loader::loadFile( const std::string& filename )
{
    yyin       = fopen( filename.c_str(), "r" );
    yyinString = 0;

    if( !yyin )
    {
        LBERROR << "Can't open config file " << filename << std::endl;
        return 0;
    }

    loader::filename = filename;
    _parse();
    loader::filename.clear();

    fclose( yyin );

    eq::server::ServerPtr server = loader::server;
    loader::server = 0;
    return server;
}

void Loader::_parseString( const char* data )
{
    yyin       = 0;
    yyinString = data;
    _parse();
}

void Loader::_parse()
{
    LBASSERTINFO( !eq::loader::loader, "Config file loader is not reentrant" );
    eq::loader::loader = this;

    loader::server = 0;
    config = 0;
    yylineno = 0;

    const std::string oldLocale = setlocale( LC_NUMERIC, "C" );
    const bool error = ( eqLoader_parse() != 0 );
    setlocale( LC_NUMERIC, oldLocale.c_str( ));

    if( error )
        loader::server = 0;

    eq::loader::loader = 0;
}

ServerPtr Loader::parseServer( const char* data )
{
    _parseString( data );

    eq::server::ServerPtr server = loader::server;
    loader::server = 0;
    return server;
}

}
}
